package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 
 *
 * @author Zhang Xiaolong created at  2023-04-10 09:28:37
 * @describe  实体类
 */
@Data
@TableName(value = "check_schedule", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "")
public class CheckSchedule extends BaseEntity {

    /**
     * managerId
     */

    @ApiModelProperty(value="管理员Id")
    private String managerId;

    /**
     * auditTimeOfTechnical
     */
    @ApiModelProperty(value="审核时间")
    private LocalDateTime auditTimeOfTechnical;

    /**
     * auditResultOfTechnical
     */
    @ApiModelProperty(value="审核结果")
    private boolean auditResultOfTechnical;

    /**
     * auditOpinionOfTechnical
     */
    @ApiModelProperty(value="审核意见")
    private String auditOpinionOfTechnical;


    @TableId(value = "check_schedule_id", type = IdType.ASSIGN_UUID)
    /**
     * checkScheduleId
     */
    @ApiModelProperty(value="计划制定表")
    private String checkScheduleId;
    /**
     * (技术负责人ID)
     */
    @ApiModelProperty(value="(技术负责人ID)")
    private String technicalDirectorId;

    /**
     * (编号)
     */
    @ApiModelProperty(value="(编号)")
    private String number;
 /**
     * (状态)
     */
    @ApiModelProperty(value="(状态)")
    private Integer status;





}
