package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (集中采购申请明细)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:06
 * @describe (集中采购申请明细) 实体类
 */
@Data
@TableName(value = "details_of_centralized", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(集中采购申请明细)")
public class DetailsOfCentralized extends BaseEntity {

    /**
     * (集中采购申请ID)
     */
    @ApiModelProperty(value="集中采购申请ID")
    private String centralizedRequestId;

    /**
     * (采购目录编号)
     */
    @ApiModelProperty(value="采购目录编号")
    private String purchaseCatalogueNumber;

    /**
     * (采购数量)
     */
    @ApiModelProperty(value="采购数量")
    private Integer quantityPurchased;
    /**
     * (申请数量)
     */
    @ApiModelProperty(value="申请数量")
    private Integer numberOfApplications;

    /**
     * (试剂耗材ID)
     */
    @ApiModelProperty(value="试剂耗材ID")
    private String reagentConsumableId;

    /**
     * (备注)
     */
    @ApiModelProperty(value="备注")
    private String remarks;

    /**
     * (换货试剂耗材ID)
     */
    @ApiModelProperty(value="换货试剂耗材ID")
    private String replacementReagentConsumableId;

    /**
     * (采购计划明细ID)
     */
    @ApiModelProperty(value="采购计划明细ID")
    private String  procurementContentId;

    /**
     * (换货数量)
     */
    @ApiModelProperty(value="换货数量")
    private Integer replacementQuantity;

    /**
     * detailsOfCentralizedId
     */

    @TableId(value = "details_of_centralized_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="集中采购明细ID")
    private String detailsOfCentralizedId;


}
