package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (试剂耗材到期提醒)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:04
 * @describe (试剂耗材到期提醒) 实体类
 */
@Data
@TableName(value = "expiration_reminder", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(试剂耗材到期提醒)")
public class ExpirationReminder extends BaseEntity {

    /**
     * (试剂耗材有效期/保质期)
     */
    @ApiModelProperty(value="(试剂耗材有效期/保质期)")
    private LocalDateTime expirationDate;

    /**
     * (试剂耗材到期提醒信息)
     */
    @ApiModelProperty(value="(试剂耗材到期提醒信息)")
    private LocalDateTime expirationMessage;

    /**
     * (试剂耗材ID)
     */
    @ApiModelProperty(value="(试剂耗材ID)")
    private String reagentConsumableId;

    /**
     * (试剂耗材编号)
     */
    @ApiModelProperty(value="(试剂耗材编号)")
    private String reagentConsumableNumber;





    /**
     * expirationReminderId
     */
    @TableId(value = "expiration_reminder_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="expirationReminderId")
    private String expirationReminderId;


}
