package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (采购清单)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:05
 * @describe (采购清单) 实体类
 */
@Data
@TableName(value = "purchase_list", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(采购清单)")
public class PurchaseList extends BaseEntity {

    /**
     * 清单名称
     */
    @ApiModelProperty(value="清单名称")
    private String name;


    /**
     * (编号)
     */
    @ApiModelProperty(value="(编号)")
    private String  number;


    /**
     * purchaseListId
     */
    @TableId(value = "purchase_list_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="purchaseListId")
    private String purchaseListId;


}
