package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (标准储备溶液配制及使用记录表)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:05
 * @describe (标准储备溶液配制及使用记录表) 实体类
 */
@Data
@TableName(value = "standard_reserve_solution", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(标准储备溶液配制及使用记录表)")
public class StandardReserveSolution extends BaseEntity {

    /**
     * (配置浓度(mg/mL))
     */
    @ApiModelProperty(value="(配置浓度(mg/mL))")
    private Double configurationConcentration;

    /**
     * (配置日期)
     */
    @ApiModelProperty(value="(配置日期)")
    private LocalDateTime configurationDate;

    /**
     * (定容体积（mL）)
     */
    @ApiModelProperty(value="(定容体积（mL）)")
    private Double constantVolume;

    /**
     * (使用日期)
     */
    @ApiModelProperty(value="(使用日期)")
    private LocalDateTime dateOfUse;

    /**
     * (配制人ID)
     */
    @ApiModelProperty(value="(配制人ID)")
    private String dispenserId;

    /**
     * (使用次序)
     */
    @ApiModelProperty(value="(使用次序)")
    private Integer orderofuse;

    /**
     * (使用数量（mL）)
     */
    @ApiModelProperty(value="(使用数量（mL）)")
    private String quantityUsed;

    /**
     * (标准物质ID)
     */
    @ApiModelProperty(value="(标准物质ID)")
    private String referenceMaterialId;

    /**
     * (标准物质编号)
     */
    @ApiModelProperty(value="(标准物质编号)")
    private String referenceMaterialNumber;

    /**
     * (标准物质称取量)
     */
    @ApiModelProperty(value="(标准物质称取量)")
    private Double referenceMaterialScale;





    /**
     * (备注)
     */
    @ApiModelProperty(value="(备注)")
    private String remarks;

    /**
     * (溶液名称)
     */
    @ApiModelProperty(value="(溶液名称)")
    private String solutionName;

    /**
     * (溶液编号)
     */
    @ApiModelProperty(value="(溶液编号)")
    private String solutionNumbering;

    /**
     * (使用溶剂)
     */
    @ApiModelProperty(value="(使用溶剂)")
    private String useOfSolvent;

    /**
     * (使用人ID)
     */
    @ApiModelProperty(value="(使用人ID)")
    private String userId;

    /**
     * (有效期限)
     */
    @ApiModelProperty(value="(有效期限)")
    private LocalDateTime validityPeriod;

    /**
     * standardReserveSolutionId
     */
    @TableId(value = "standard_reserve_solution_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="standardReserveSolutionId")
    private String standardReserveSolutionId;


}
