package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (标准工作曲线溶液配置记录表)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:07
 * @describe (标准工作曲线溶液配置记录表) 实体类
 */
@Data
@TableName(value = "standard_solution_curve", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(标准工作曲线溶液配置记录表)")
public class StandardSolutionCurve extends BaseEntity {

    /**
     * (配制人ID)
     */
    @ApiModelProperty(value="(配制人ID)")
    private String dispenserId;

    /**
     * (序号)
     */
    @ApiModelProperty(value="(序号)")
    private String serialnNumber;

    /**
     * (溶液名称)
     */
    @ApiModelProperty(value="(溶液名称)")
    private String solutionName;

    /**
     * (标准储备溶液浓度)
     */
    @ApiModelProperty(value="(标准储备溶液浓度)")
    private String solutionConcentration;

    /**
     * (标准储备溶液浓度编号)
     */
    @ApiModelProperty(value="(标准储备溶液浓度编号)")
    private String concentrationNumbering;

    /**
     * (逐级溶液浓度)
     */
    @ApiModelProperty(value="(逐级溶液浓度)")
    private String stepSolutionConcentration;





    /**
     * (工作曲线溶液配置日期)
     */
    @ApiModelProperty(value="(工作曲线溶液配置日期)")
    private LocalDateTime configurationDate;

    /**
     * standardSolutionCurveId
     */
    @TableId(value = "standard_solution_curve_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="standardSolutionCurveId")
    private String standardSolutionCurveId;

    /**
     * storageRegistrationFormId
     */
    @ApiModelProperty(value="storageRegistrationFormId")
    private String storageRegistrationFormId;


}
