package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 签收批次明细
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:07
 * @describe 签收批次明细 实体类
 */
@Data
@TableName(value = "warehousing_batch_list", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "入库批次明细")
public class WarehousingBatchList extends BaseEntity {

    /**
     * (批次)
     */
    @ApiModelProperty(value="(批次)")
    private Integer batch;

    /**
     * (批号)
     */
    @ApiModelProperty(value="(批号)")
    private String batchNumber;

    /**
     * (格子编号)
     */
    @ApiModelProperty(value="(格子编号)")
    private String latticeId;

    /**
     * (生产日期)
     */
    @ApiModelProperty(value="(生产日期)")
    private LocalDateTime dateOfProduction;


    /**
     * 签收日期
     */
    @ApiModelProperty(value="入库日期")
    private LocalDateTime dateOfReceipt;

    /**
     * (有效日期)
     */
    @ApiModelProperty(value="(有效日期)")
    private LocalDateTime expirationDate;

    /**
     * (数量)
     */
    @ApiModelProperty(value="(数量)")
    private Integer quantity;

    /**
     * 签收人ID
     */
    @ApiModelProperty(value="入库人ID")
    private String depositorId;

    /**
     * 签收内容表ID
     */
    @ApiModelProperty(value="入库内容表ID")
    private String warehousingContentId;

    /**
     * (供应商ID)
     */
    @ApiModelProperty(value="(供应商ID)")
    private String supplierId;

    /**
     * (预警值)
     */
    @ApiModelProperty(value="(预警值)")
    private Integer warningValue;

    /**
     * signedBatchListId
     */
    @TableId(value = "warehousing_batch_list_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="warehousingBatchListId")
    private String warehousingBatchListId;


}
