package digital.laboratory.platform.reagent.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import digital.laboratory.platform.reagent.entity.CentralizedRequest;
import digital.laboratory.platform.reagent.vo.CentralizedRequestVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (集中采购申请) Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (集中采购申请) Mapper 类
 */
@Mapper
public interface CentralizedRequestMapper extends BaseMapper<CentralizedRequest> {

    IPage<CentralizedRequestVO> getCentralizedRequestVOPage(@Param("page") IPage<CentralizedRequest> page, @Param(Constants.WRAPPER) QueryWrapper<CentralizedRequest> qw);
    List<CentralizedRequestVO> getCentralizedRequestVOList(@Param(Constants.WRAPPER) QueryWrapper<CentralizedRequest> qw);

     CentralizedRequestVO getCentralizedRequestVO(String centralizedRequestId);

}
