/*
 Navicat Premium Data Transfer

 Source Server         : test
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : localhost:3306
 Source Schema         : reagent_managment

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 13/04/2023 23:07:27
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for acceptance_content
-- ----------------------------
DROP TABLE IF EXISTS `acceptance_content`;
CREATE TABLE `acceptance_content`  (
  `acceptance_record_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(验收记录表ID)',
  `consistent_quantity` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(数量一致)',
  `c_remark` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(数量一致备注)',
  `delivery_cycle` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供货周期)',
  `d_remark` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供货周期备注)',
  `packing_sound` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(包装完好)',
  `p_remark` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(包装完好备注备注)',
  `the_same_brand_and_model` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌、型号一致)',
  `t_remark` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌、型号一致备注)',
  `validity_period` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(有效期)',
  `v_remark` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(有效期备注)',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `acceptance_content_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`acceptance_content_id`) USING BTREE,
  INDEX `IXFK_acceptance_content_acceptance_record_form`(`acceptance_record_form_id`) USING BTREE,
  CONSTRAINT `FK_acceptance_content_acceptance_record_form` FOREIGN KEY (`acceptance_record_form_id`) REFERENCES `acceptance_record_form` (`acceptance_record_form_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(验收内容)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of acceptance_content
-- ----------------------------

-- ----------------------------
-- Table structure for acceptance_record_form
-- ----------------------------
DROP TABLE IF EXISTS `acceptance_record_form`;
CREATE TABLE `acceptance_record_form`  (
  `acceptance_conclusion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(验收结论)',
  `audit_time_of_three_level` datetime(6) NULL DEFAULT NULL COMMENT '三级审核人审核时间',
  `date_of_acceptance` datetime(6) NULL DEFAULT NULL COMMENT '(验收日期)',
  `audit_opinion_of_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核人审核意见',
  `three_level_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核人ID',
  `follow_up_treatment` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(后续处理情况)',
  `nonconforming_item` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(不合格项目)',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人审核意见',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID',
  `audit_time_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人审核时间',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人审核意见',
  `audit_time_of_secondary` datetime(6) NULL DEFAULT NULL COMMENT '(二级审核人审核日期)',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(二级审核人ID)',
  `signed_batch_list_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '签收批次明细ID',
  `acceptance_record_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `audit_result_of_secondary` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材管理员审核结果',
  `audit_result_of_three_level` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核审核结果',
  `audit_result_of_primary` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(一级审核结果)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `the_same_brand_and_model` tinyint(3) NULL DEFAULT NULL,
  `bam_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `consistent_quantity` tinyint(3) NULL DEFAULT NULL,
  `cq_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `packing_in_good_condition` tinyint(3) NULL DEFAULT NULL,
  `pgc_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `validity_period` tinyint(3) NULL DEFAULT NULL,
  `vp_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `delivery_cycle` tinyint(3) NULL DEFAULT NULL,
  `dc_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` int(6) NULL DEFAULT NULL,
  `warehousing_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`acceptance_record_form_id`) USING BTREE,
  INDEX `IXFK_acceptance_record_form_signed_batch_list`(`signed_batch_list_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(验收记录表)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of acceptance_record_form
-- ----------------------------
INSERT INTO `acceptance_record_form` VALUES ('验收合格', NULL, NULL, NULL, NULL, '无后续', '无不合格项目', '审核通过', '1', '2023-04-06 15:10:21.402', '942B1DF7A794395171D3175270A46464', NULL, NULL, NULL, NULL, '936070F7CD0CAAA7001D7470292D94B4', '0', '0', '1', '2023-04-06 14:46:15.808000', '2023-04-06 15:10:21.422000', '1', '1', 1, NULL, 1, NULL, 1, NULL, 1, NULL, 1, NULL, '1', 0, NULL);
INSERT INTO `acceptance_record_form` VALUES ('验收合格', NULL, NULL, NULL, NULL, '无后续', '无不合格项目', NULL, NULL, NULL, 'EC9357ED2463BB14C6EFE231436C218D', NULL, NULL, NULL, NULL, 'DE561C05F700ED925CE320ABFA03E5F2', '0', '0', '0', '2023-04-06 14:46:15.813000', '2023-04-06 14:56:15.285000', '1', '1', 1, '无', 1, '无', 1, NULL, 1, '无', 1, '无', '1', 0, NULL);

-- ----------------------------
-- Table structure for after_sale_situation
-- ----------------------------
DROP TABLE IF EXISTS `after_sale_situation`;
CREATE TABLE `after_sale_situation`  (
  `evaluation_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(服务商/供应商评价表ID)',
  `supplier_business_license` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商营业执照)',
  `supplier_passes_quality_assurance_system` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商通过质量保证体系)',
  `supplier_product_certification` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商产品认证)',
  `after_sale_situation_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`after_sale_situation_id`) USING BTREE,
  INDEX `IXFK_after_sale_situation_evaluation_form`(`evaluation_form_id`) USING BTREE,
  CONSTRAINT `FK_after_sale_situation_evaluation_form` FOREIGN KEY (`evaluation_form_id`) REFERENCES `evaluation_form` (`evaluation_form_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '服务商/供应商响应、资质和售后情况' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of after_sale_situation
-- ----------------------------

-- ----------------------------
-- Table structure for application_for_use
-- ----------------------------
DROP TABLE IF EXISTS `application_for_use`;
CREATE TABLE `application_for_use`  (
  `date_of_collection` datetime(6) NULL DEFAULT NULL COMMENT '(领取日期)',
  `recipient_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(领用人ID)',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `application_for_use_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `delivery_registration_form_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `requisition_record_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `claim_code` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`application_for_use_id`) USING BTREE,
  INDEX `IXFK_application_for_use_delivery_registration_form`(`delivery_registration_form_id`) USING BTREE,
  INDEX `IXFK_application_for_use_requisition_record`(`requisition_record_id`) USING BTREE,
  CONSTRAINT `FK_application_for_use_delivery_registration_form` FOREIGN KEY (`delivery_registration_form_id`) REFERENCES `delivery_registration_form` (`delivery_registration_form_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_application_for_use_requisition_record` FOREIGN KEY (`requisition_record_id`) REFERENCES `requisition_record` (`requisition_record_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材领用申请表)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of application_for_use
-- ----------------------------
INSERT INTO `application_for_use` VALUES (NULL, '1', 0, '711B265700D4896090B2120E4ED616B0', NULL, NULL, NULL, '2023-04-07 17:15:49.086000', '2023-04-07 17:15:49.086000', '1', '1');
INSERT INTO `application_for_use` VALUES ('2023-04-07 16:35:58.014000', '1', 1, 'CEFD859C6B7A997C4AE368794B5CD4DE', '857CEB7B1ADC12AECC51D6D56710535E', NULL, '3304', '2023-04-06 17:56:39.219000', '2023-04-07 16:35:58.070000', '1', '1');
INSERT INTO `application_for_use` VALUES ('2023-04-07 17:16:13.604000', '1', 1, 'DDDCBB10792A0FC114BEC5F98D52573F', '051E8C6D1176D86DF26749678AD26C4C', NULL, '8038', '2023-04-07 17:16:13.581000', '2023-04-07 17:16:13.632000', '1', '1');

-- ----------------------------
-- Table structure for batch_details
-- ----------------------------
DROP TABLE IF EXISTS `batch_details`;
CREATE TABLE `batch_details`  (
  `batch` int(6) NULL DEFAULT NULL COMMENT '(批次)',
  `batch_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批号)',
  `compliance_test_situation` tinyint(5) NULL DEFAULT NULL COMMENT '(符合性检验情况)',
  `date_of_last_check` datetime(6) NULL DEFAULT NULL COMMENT '(上次期间核查日期)',
  `date_of_production` datetime(0) NULL DEFAULT NULL COMMENT '(生产日期)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(偏差/不确定度)',
  `expiration_date` datetime(6) NULL DEFAULT NULL COMMENT '(有效日期)',
  `fixed_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(定值结果)',
  `purchase_time` datetime(6) NULL DEFAULT NULL COMMENT '(购置时间)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_inventory_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材库存ID)',
  `service_status` int(11) NULL DEFAULT NULL COMMENT '(使用状态)',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `warning_value` int(11) NULL DEFAULT NULL COMMENT '(预警值)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `batch_details_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`batch_details_id`) USING BTREE,
  INDEX `IXFK_batch_details_reagent_consumable_inventory`(`reagent_consumable_inventory_id`) USING BTREE,
  CONSTRAINT `FK_batch_details_reagent_consumable_inventory` FOREIGN KEY (`reagent_consumable_inventory_id`) REFERENCES `reagent_consumable_inventory` (`reagent_consumable_inventory_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '批次明细' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of batch_details
-- ----------------------------
INSERT INTO `batch_details` VALUES (2, '0002', NULL, NULL, '2023-03-14 22:01:01', NULL, '2023-03-14 22:01:01.000000', NULL, '2023-04-06 14:43:42.201000', 10, 'D115879CEE645E5FF1522B473CCDBAC8', 1, '1', 3, '2023-04-06 14:43:42.176000', '2023-04-06 14:43:42.176000', '1', '1', '009BF6D5226B4C67CAEFFAAADA635BAF');
INSERT INTO `batch_details` VALUES (4, '0001', NULL, NULL, '2023-03-14 22:01:01', NULL, '2023-03-14 22:01:01.000000', NULL, '2023-04-06 09:57:37.726000', 10, 'E26E35A8363EA106453A87AF223A211B', 1, '1', 3, '2023-04-06 09:57:37.714000', '2023-04-06 09:57:37.714000', '1', '1', '0327F27E0974803039C0DA83FCB0F1D9');
INSERT INTO `batch_details` VALUES (6, '0001', NULL, NULL, '2023-03-14 22:01:01', NULL, '2023-03-14 22:01:01.000000', NULL, '2023-04-06 09:59:58.113000', 5, 'E26E35A8363EA106453A87AF223A211B', 1, '1', 3, '2023-04-06 09:59:58.108000', '2023-04-06 09:59:58.108000', '1', '1', '2FDCE43E87FF0B6EF61FEE9B897172C4');
INSERT INTO `batch_details` VALUES (3, '0002', NULL, NULL, '2023-03-14 22:01:01', NULL, '2023-03-14 22:01:01.000000', NULL, '2023-04-06 14:45:40.356000', 10, 'D115879CEE645E5FF1522B473CCDBAC8', 1, '1', 3, '2023-04-06 14:45:40.352000', '2023-04-06 14:45:40.352000', '1', '1', '586A6FA3983E1E6E6ACFBD2F0007FF93');
INSERT INTO `batch_details` VALUES (5, '0001', NULL, NULL, '2023-03-14 22:01:01', NULL, '2023-03-14 22:01:01.000000', NULL, '2023-04-06 09:58:15.733000', 10, 'E26E35A8363EA106453A87AF223A211B', 1, '1', 3, '2023-04-06 09:58:15.711000', '2023-04-06 09:58:15.711000', '1', '1', '60B967C0FC46C0A87939D3ABC0081BDC');
INSERT INTO `batch_details` VALUES (1, '0001', NULL, NULL, '2023-03-14 22:01:01', NULL, '2023-03-14 22:01:01.000000', NULL, '2023-04-06 09:47:34.142000', 5, 'E26E35A8363EA106453A87AF223A211B', 1, '1', 3, '2023-04-06 09:47:34.124000', '2023-04-06 09:47:34.124000', '1', '1', '96A6656686A216B359B8CB5D9583D7FF');
INSERT INTO `batch_details` VALUES (3, '0001', NULL, NULL, '2023-03-14 22:01:01', NULL, '2023-03-14 22:01:01.000000', NULL, '2023-04-06 09:56:59.430000', 10, 'E26E35A8363EA106453A87AF223A211B', 1, '1', 3, '2023-04-06 09:56:59.425000', '2023-04-06 09:56:59.425000', '1', '1', '9E911E8369580395CF7D1E5DE0FF8C65');
INSERT INTO `batch_details` VALUES (2, '0001', NULL, NULL, '2023-03-14 22:01:01', NULL, '2023-03-14 22:01:01.000000', NULL, '2023-04-06 09:54:48.863000', 10, 'E26E35A8363EA106453A87AF223A211B', 1, '1', 3, '2023-04-06 09:54:48.845000', '2023-04-06 09:54:48.845000', '1', '1', 'A382E16A1B91A9E374B3A447C1D1C4A5');
INSERT INTO `batch_details` VALUES (4, '0002', NULL, NULL, '2023-03-14 22:01:01', NULL, '2023-03-14 22:01:01.000000', NULL, '2023-04-06 14:46:15.575000', 10, 'D115879CEE645E5FF1522B473CCDBAC8', 1, '1', 3, '2023-04-06 14:46:15.556000', '2023-04-06 14:46:15.556000', '1', '1', 'C75D289FAC0617D0A67A1993BB5D80B1');

-- ----------------------------
-- Table structure for blacklist
-- ----------------------------
DROP TABLE IF EXISTS `blacklist`;
CREATE TABLE `blacklist`  (
  `reagent_consumable_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `results_of_compliance_check` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(符合性检查结果)',
  `supplier_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `blacklist_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `compliance_check_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`blacklist_id`) USING BTREE,
  INDEX `IXFK_blacklist_compliance_check`(`compliance_check_id`) USING BTREE,
  CONSTRAINT `FK_blacklist_compliance_check` FOREIGN KEY (`compliance_check_id`) REFERENCES `compliance_check` (`compliance_check_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材黑名单)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of blacklist
-- ----------------------------

-- ----------------------------
-- Table structure for cabinet_form
-- ----------------------------
DROP TABLE IF EXISTS `cabinet_form`;
CREATE TABLE `cabinet_form`  (
  `cabinet_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `storage_room_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `specification` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` int(6) NULL DEFAULT NULL,
  `picture` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`cabinet_form_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of cabinet_form
-- ----------------------------
INSERT INTO `cabinet_form` VALUES ('1', '1', '测试柜', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for catalogue_details
-- ----------------------------
DROP TABLE IF EXISTS `catalogue_details`;
CREATE TABLE `catalogue_details`  (
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌)',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(类别)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `packaged_copies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装份数',
  `purchase_catalogue_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购目录ID',
  `purchase_catalogue_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购目录编号)',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(种类)',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `unit_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '单价',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `catalogue_details_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '别名',
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '存储条件',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注\r\n',
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`catalogue_details_id`) USING BTREE,
  INDEX `IXFK_catalogue_details_purchase_catalogue`(`purchase_catalogue_id`) USING BTREE,
  CONSTRAINT `FK_catalogue_details_purchase_catalogue` FOREIGN KEY (`purchase_catalogue_id`) REFERENCES `purchase_catalogue` (`purchase_catalogue_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购目录明细)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of catalogue_details
-- ----------------------------
INSERT INTO `catalogue_details` VALUES ('华为', '标准物质', NULL, '50', '79D010ECD14CAC5E497A13BA54366A1B', '1', '海洛因3', '一般标准物质', '固体', '70%', 0004299.00, '2023-04-13 14:52:00.803000', '2023-04-13 14:52:00.803000', '1', '1', '0C79DC9138D8DA61316DCB056D23C71D', 'HW', NULL, 'K粉', '冷藏存储', '白色粉末', '盒');
INSERT INTO `catalogue_details` VALUES ('yy-09', '耗材', 'ew', '223', '69ED43C3B4944220EEA2EB81A9411030', '23yy', '试剂1', '碳钢', '23eee', 'eww', 0000323.00, '2023-04-13 17:22:07.393000', '2023-04-13 17:22:07.393000', '1', '1', '0D94A72059DE43E82379AAE915A970E9', 'ewr', NULL, '私发', '常规贮存', '3232ew', '份');
INSERT INTO `catalogue_details` VALUES ('VVVVVV', '耗材', 'ew', '223', '06D5C85429D81343D2E73D6A13396F45', '23yy', '耗材1', '碳钢', '23eee', 'eww', 0000323.00, '2023-04-13 15:05:57.113000', '2023-04-13 15:05:57.113000', '1', '1', '12C6495442F24C34058113909D458D60', 'ewr', NULL, '试剂00000000', '常规贮存', '3232ew', '份');
INSERT INTO `catalogue_details` VALUES ('华为', '标准物质', '1.2', '50', 'BF03D9EEB18807572C089B2CED8CDFA0', '1', '海洛因3', '一般标准物质', '固体', '70%', 0004299.00, '2023-04-13 17:21:18.621000', '2023-04-13 17:21:18.621000', '1', '1', '13FB8DBE949BED5BCBAEFDC63FAF57F5', 'HW', '942B1DF7A794395171D3175270A46464', 'K粉', '冷藏存储', '白色粉末', '盒');
INSERT INTO `catalogue_details` VALUES ('BBBB', '耗材', 'ew', '223', '06B953A19BE3B75DBD606DB945BCB1FD', '23yy', '耗材1', '碳钢', '23eee', 'eww', 0000323.00, '2023-04-13 14:57:27.935000', '2023-04-13 14:57:27.935000', '1', '1', '142B7BB00D22B88589763980520FB3B5', 'ewr', NULL, '耗材000', '常规贮存', '3232ew', '份');
INSERT INTO `catalogue_details` VALUES ('华为', '标准物质', '1.2', '50', 'DAA3FB2E946610020F5A222F32E34E7F', '1', '海洛因2', '一般标准物质', '固体', '70%', 0004299.00, '2023-03-31 14:44:18.252000', '2023-03-31 14:54:04.661000', '1', '1', '223DC78274A737FBBA034F1F2BC2461A', 'HW', 'EC9357ED2463BB14C6EFE231436C218D', 'K粉', '冷藏存储', '白色粉末', '盒');
INSERT INTO `catalogue_details` VALUES ('yy-09', '耗材', 'ew', '223', '143F5B5D8FFB398F443A72585BB5FA1D', '23yy', '试剂1', '碳钢', '23eee', 'eww', 0000323.00, '2023-04-13 17:21:07.649000', '2023-04-13 17:21:07.649000', '1', '1', '45969486055D87ED366CD65E996D754C', 'ewr', NULL, '私发', '常规贮存', '3232ew', '份');
INSERT INTO `catalogue_details` VALUES ('yy-09', '耗材', 'ew', '223', '91B87005BF63313F7B2323F2A37EFCEB', '23yy', '试剂1', '碳钢', '23eee', 'eww', 0000323.00, '2023-04-13 17:24:50.108000', '2023-04-13 17:24:50.108000', '1', '1', '62E19B21890DCE6DC1B411FC3485B690', 'ewr', NULL, '私发', '常规贮存', '3232ew', '份');
INSERT INTO `catalogue_details` VALUES ('华为', '标准物质', '1.2', '50', '69ED43C3B4944220EEA2EB81A9411030', '1', '海洛因3', '一般标准物质', '固体', '70%', 0004299.00, '2023-04-13 17:22:07.394000', '2023-04-13 17:22:07.394000', '1', '1', '8FF1FC0FE5EF390DDAB3244BF763EC7F', 'HW', '942B1DF7A794395171D3175270A46464', 'K粉', '冷藏存储', '白色粉末', '盒');
INSERT INTO `catalogue_details` VALUES ('华为', '标准物质', NULL, '50', '79D010ECD14CAC5E497A13BA54366A1B', '1', '海洛因1', '一般标准物质', '固体', '70%', 0004299.00, '2023-04-13 14:52:00.802000', '2023-04-13 14:52:00.802000', '1', '1', '9644AA91CDFDFFD13B9F20DC2F340659', 'HW', NULL, 'K粉', '冷藏存储', '白色粉末', '盒');
INSERT INTO `catalogue_details` VALUES ('华为', '标准物质', '1.2', '50', 'A92657803C435304FA7D41DA3275BD90', '1', '海洛因3', '一般标准物质', '固体', '70%', 0004299.00, '2023-04-13 17:21:21.022000', '2023-04-13 17:21:21.022000', '1', '1', '9D43D79B2CD5CE28B69C167B8D3978DA', 'HW', '942B1DF7A794395171D3175270A46464', 'K粉', '冷藏存储', '白色粉末', '盒');
INSERT INTO `catalogue_details` VALUES ('华为', '标准物质', '1.2', '50', '91B87005BF63313F7B2323F2A37EFCEB', '1', '海洛因3', '一般标准物质', '固体', '70%', 0004299.00, '2023-04-13 17:24:50.109000', '2023-04-13 17:24:50.109000', '1', '1', 'A9C780B5638171403AF881E7FBF577BE', 'HW', '942B1DF7A794395171D3175270A46464', 'K粉', '冷藏存储', '白色粉末', '盒');
INSERT INTO `catalogue_details` VALUES ('华为', '标准物质', '1.2', '50', '143F5B5D8FFB398F443A72585BB5FA1D', '1', '海洛因3', '一般标准物质', '固体', '70%', 0004299.00, '2023-04-13 17:21:07.651000', '2023-04-13 17:21:07.651000', '1', '1', 'B0410DC6C6C9A2D1E14CA90CF59F2BE5', 'HW', '942B1DF7A794395171D3175270A46464', 'K粉', '冷藏存储', '白色粉末', '盒');
INSERT INTO `catalogue_details` VALUES ('华为', '标准物质', '1.2', '50', 'DAA3FB2E946610020F5A222F32E34E7F', '1', '海洛因1', '一般标准物质', '固体', '70%', 0004299.00, '2023-03-31 14:44:18.251000', '2023-03-31 14:54:04.665000', '1', '1', 'C9498031784F2246DF448416993F9306', 'HW', 'FCD45169853216681393BA13B8056435', 'K粉', '冷藏存储', '白色粉末', '盒');
INSERT INTO `catalogue_details` VALUES ('yy-09', '耗材', 'ew', '223', 'E658078B412AB8B86512B731DC9ABD99', '23yy', '试剂1', '碳钢', '23eee', 'eww', 0000323.00, '2023-04-12 11:21:32.735000', '2023-04-12 11:21:32.735000', '1', '1', 'CC0565F345095F95A027990CB5E566C0', 'ewr', NULL, '私发', '232dasd', '3232ew', NULL);
INSERT INTO `catalogue_details` VALUES ('yy-09', '耗材', 'ew', '223', 'F3A8555DF4009C7445043A13B1C1CA4B', '23yy', '试剂1', '碳钢', '23eee', 'eww', 0000323.00, '2023-04-12 11:21:16.393000', '2023-04-12 11:21:16.393000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 'CCCE2B15EED27B3030B20BD899387BDD', 'ewr', NULL, '私发', '232dasd', '3232ew', NULL);
INSERT INTO `catalogue_details` VALUES ('华为', '标准物质', NULL, '50', '79D010ECD14CAC5E497A13BA54366A1B', '1', '海洛因2', '一般标准物质', '固体', '70%', 0004299.00, '2023-04-13 14:52:00.802000', '2023-04-13 14:52:00.802000', '1', '1', 'E918930874FB2F6C5949C3726C984E56', 'HW', NULL, 'K粉', '冷藏存储', '白色粉末', '盒');
INSERT INTO `catalogue_details` VALUES ('yy-09', '耗材', 'ew', '223', 'A92657803C435304FA7D41DA3275BD90', '23yy', '试剂1', '碳钢', '23eee', 'eww', 0000323.00, '2023-04-13 17:21:21.020000', '2023-04-13 17:21:21.020000', '1', '1', 'F8ABCD6A2003078359C13FEF74D49842', 'ewr', NULL, '私发', '常规贮存', '3232ew', '份');
INSERT INTO `catalogue_details` VALUES ('yy-09', '耗材', 'ew', '223', 'BF03D9EEB18807572C089B2CED8CDFA0', '23yy', '试剂1', '碳钢', '23eee', 'eww', 0000323.00, '2023-04-13 17:21:18.620000', '2023-04-13 17:21:18.620000', '1', '1', 'F9D5C4510FDBD06696EF1496889DD6D7', 'ewr', NULL, '私发', '常规贮存', '3232ew', '份');

-- ----------------------------
-- Table structure for category_table
-- ----------------------------
DROP TABLE IF EXISTS `category_table`;
CREATE TABLE `category_table`  (
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of category_table
-- ----------------------------
INSERT INTO `category_table` VALUES ('耗材', '1', '木材', NULL, NULL, NULL, NULL);
INSERT INTO `category_table` VALUES ('试剂', '2', '酒精', NULL, NULL, NULL, NULL);
INSERT INTO `category_table` VALUES ('标准物质', '3', '海洛因', NULL, NULL, NULL, NULL);
INSERT INTO `category_table` VALUES ('标准溶液', '4', 'k粉', NULL, NULL, NULL, NULL);
INSERT INTO `category_table` VALUES ('耗材', '5', '钢材', NULL, NULL, NULL, NULL);
INSERT INTO `category_table` VALUES ('耗材', 'C2D52AFE372558AD363E6664999CDF6F', '碳钢', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '2023-04-12 11:21:16.379000', '2023-04-12 11:21:16.379000');
INSERT INTO `category_table` VALUES ('标准物质', 'DA63F4F987495FED969E23F72AB83AE0', '一般标准物质', '1', '1', '2023-04-13 14:52:00.796000', '2023-04-13 14:52:00.796000');

-- ----------------------------
-- Table structure for centralized_request
-- ----------------------------
DROP TABLE IF EXISTS `centralized_request`;
CREATE TABLE `centralized_request`  (
  `applicant_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人ID)',
  `date_of_application` datetime(6) NULL DEFAULT NULL COMMENT '(申请日期)',
  `purchasing_plan_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购计划ID',
  `status` int(11) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(状态)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `centralized_request_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `applicant_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `org_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`centralized_request_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(集中采购申请)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of centralized_request
-- ----------------------------
INSERT INTO `centralized_request` VALUES ('C27B8F582693B93596C21C1586A0845A', '2023-04-13 15:32:59.634000', NULL, 00000000002, '2023-04-13 15:32:59.634000', '2023-04-13 17:59:33.346000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '0350E982A09AA4460BD597B56B3F15DF', NULL, '审核员2', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('1', '2023-04-13 14:34:51.138000', NULL, 00000000002, '2023-04-13 14:34:51.139000', '2023-04-13 17:48:36.944000', '1', 'C27B8F582693B93596C21C1586A0845A', '03FB5B70D611B204C951EB339003B3EF', NULL, '管理员', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('1', '2023-04-13 11:04:30.642000', NULL, 00000000002, '2023-04-13 11:04:30.647000', '2023-04-13 17:48:36.957000', '1', 'C27B8F582693B93596C21C1586A0845A', '114CF3436F55D880759B13A2A64B9DB2', NULL, '管理员', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('C27B8F582693B93596C21C1586A0845A', '2023-04-13 15:32:54.868000', NULL, 00000000002, '2023-04-13 15:32:54.919000', '2023-04-13 17:59:33.357000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '12EFC5A4EB7A7D0267AD4FCAAF40B57C', NULL, '审核员2', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('1', '2023-04-13 14:34:41.270000', NULL, 00000000002, '2023-04-13 14:34:41.270000', '2023-04-13 18:14:09.119000', '1', 'C27B8F582693B93596C21C1586A0845A', '147B087723A697934C737F56DBE2ACD0', NULL, '管理员', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('1', '2023-04-13 14:34:56.635000', NULL, 00000000002, '2023-04-13 14:34:56.636000', '2023-04-13 14:50:59.937000', '1', 'C27B8F582693B93596C21C1586A0845A', '17855861B1526AC515C8F2BC99F54B65', NULL, '管理员', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('C27B8F582693B93596C21C1586A0845A', '2023-04-13 15:33:00.358000', NULL, 00000000002, '2023-04-13 15:33:00.359000', '2023-04-13 18:14:09.126000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '1A5552281A338DC833329CFF3ED06375', NULL, '审核员2', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('1', '2023-04-13 14:34:44.559000', NULL, 00000000002, '2023-04-13 14:34:44.559000', '2023-04-13 14:50:59.943000', '1', 'C27B8F582693B93596C21C1586A0845A', '1E1397FB37743BA23B397192A3DE2C66', NULL, '管理员', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('1', '2023-04-13 17:28:05.505000', NULL, 00000000001, '2023-04-13 17:28:05.506000', '2023-04-13 17:28:05.506000', '1', '1', '30460FE4800DF68B9FDCDE98EB9E0625', NULL, '管理员', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('1', '2023-04-13 18:15:28.063000', NULL, 00000000000, '2023-04-13 18:15:28.071000', '2023-04-13 18:15:28.071000', '1', '1', '37196C6F4EC867940E92D63AA2D45272', NULL, '管理员', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('1', '2023-04-13 18:15:28.845000', NULL, 00000000000, '2023-04-13 18:15:28.846000', '2023-04-13 18:15:28.846000', '1', '1', '47BFD5FEB5001B87E5992AF8221E1889', NULL, '管理员', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('1', '2023-04-04 10:05:13.000000', NULL, 00000000002, '2023-04-04 10:05:13.000000', '2023-04-13 15:21:41.396000', '1', 'C27B8F582693B93596C21C1586A0845A', '511061CDF38F4AD3E42A5607EF34CE70', NULL, '1', '2');
INSERT INTO `centralized_request` VALUES ('C27B8F582693B93596C21C1586A0845A', '2023-04-13 15:33:03.000000', NULL, 00000000001, '2023-04-13 15:33:03.001000', '2023-04-13 15:33:03.001000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '522B0D715E3C29B2850E074EF64945DC', NULL, '审核员2', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('1', '2023-04-03 16:27:25.000000', NULL, 00000000002, '2023-04-03 16:27:25.000000', '2023-04-13 15:21:41.392000', '1', 'C27B8F582693B93596C21C1586A0845A', '5FA0E86D36EBC6BA27AFD921D2A2390E', NULL, '1', '2');
INSERT INTO `centralized_request` VALUES ('C27B8F582693B93596C21C1586A0845A', '2023-04-13 15:33:01.666000', NULL, 00000000001, '2023-04-13 15:33:01.667000', '2023-04-13 15:33:01.667000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '6381CD03AE457F19F2B59A716107C576', NULL, '审核员2', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('1', '2023-04-13 14:34:43.206000', NULL, 00000000002, '2023-04-13 14:34:43.207000', '2023-04-13 15:09:52.272000', '1', 'C27B8F582693B93596C21C1586A0845A', '64792E8064DF858142B9A2EACAB547B8', NULL, '管理员', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('C27B8F582693B93596C21C1586A0845A', '2023-04-13 15:32:58.307000', NULL, 00000000001, '2023-04-13 15:32:58.308000', '2023-04-13 15:32:58.308000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '6F01D9B18B2C951D1034C48EE34E9551', NULL, '审核员2', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('C27B8F582693B93596C21C1586A0845A', '2023-04-13 15:33:06.036000', NULL, 00000000001, '2023-04-13 15:33:06.037000', '2023-04-13 15:33:06.037000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '74E0C2EA9A499D0F2B7864D72EC585A8', NULL, '审核员2', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('1', '2023-04-13 11:04:33.040000', NULL, 00000000002, '2023-04-13 11:04:33.040000', '2023-04-13 15:09:52.280000', '1', 'C27B8F582693B93596C21C1586A0845A', '7670A3D16159B481743E55C7680AEDAE', NULL, '管理员', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('C27B8F582693B93596C21C1586A0845A', '2023-04-13 15:32:58.931000', NULL, 00000000001, '2023-04-13 15:32:59.081000', '2023-04-13 15:32:59.081000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '82F9EE326A77F8F3574DE5A37A1A2968', NULL, '审核员2', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('1', '2023-04-13 17:20:52.752000', NULL, 00000000001, '2023-04-13 17:20:52.777000', '2023-04-13 17:20:52.777000', '1', '1', '83178990D838C1EBCC605218E9C345A3', NULL, '管理员', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('C27B8F582693B93596C21C1586A0845A', '2023-04-13 15:33:03.613000', NULL, 00000000001, '2023-04-13 15:33:03.613000', '2023-04-13 15:33:03.613000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '83831B93B83287724E623C50C19B4374', NULL, '审核员2', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('1', '2023-04-13 11:04:32.386000', NULL, 00000000002, '2023-04-13 11:04:32.387000', '2023-04-13 15:00:01.213000', '1', 'C27B8F582693B93596C21C1586A0845A', '8AD3750968B5CD83FCEA7DCF6CBB85DA', NULL, '管理员', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('1', '2023-04-13 14:34:43.881000', NULL, 00000000002, '2023-04-13 14:34:43.882000', '2023-04-13 15:00:01.210000', '1', 'C27B8F582693B93596C21C1586A0845A', '8EBBDAEE03D9F92B188B9D6448C6E06E', NULL, '管理员', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('1', '2023-04-04 10:58:50.000000', NULL, 00000000002, '2023-04-04 10:58:50.000000', '2023-04-13 15:13:47.084000', '1', 'C27B8F582693B93596C21C1586A0845A', 'A2C4343C256A406F24C9F52D7DF6ED1C', NULL, '1', '2');
INSERT INTO `centralized_request` VALUES ('C27B8F582693B93596C21C1586A0845A', '2023-04-13 15:32:56.854000', NULL, 00000000001, '2023-04-13 15:32:56.855000', '2023-04-13 15:32:56.855000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'A46A6F7B47427294D1E35A66A85B252C', NULL, '审核员2', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('1', '2023-04-13 14:34:31.876000', NULL, 00000000002, '2023-04-13 14:34:31.881000', '2023-04-13 15:11:42.793000', '1', 'C27B8F582693B93596C21C1586A0845A', 'B1E76397A1DAD194B6CA52ADD908119A', NULL, '管理员', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('C27B8F582693B93596C21C1586A0845A', '2023-04-13 15:33:04.243000', NULL, 00000000001, '2023-04-13 15:33:04.244000', '2023-04-13 15:33:04.244000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'B2A620D800D151D690E7C985C6226378', NULL, '审核员2', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('1', '2023-04-13 14:37:57.198000', NULL, 00000000001, '2023-04-13 14:37:57.198000', '2023-04-13 14:37:57.198000', '1', '1', 'B976072C2ECEC5F656996BF99B26437C', NULL, '管理员', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('C27B8F582693B93596C21C1586A0845A', '2023-04-13 15:32:57.605000', NULL, 00000000000, '2023-04-13 15:32:57.606000', '2023-04-13 15:32:57.606000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'BFEB4B28F2DE9000292EA5FE28DF4F39', NULL, '审核员2', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('C27B8F582693B93596C21C1586A0845A', '2023-04-13 15:33:04.869000', NULL, 00000000000, '2023-04-13 15:33:04.869000', '2023-04-13 15:33:04.869000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'C29269FBE74F731ACAF13A8DA3D8E14D', NULL, '审核员2', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('C27B8F582693B93596C21C1586A0845A', '2023-04-13 15:33:02.317000', NULL, 00000000000, '2023-04-13 15:33:02.318000', '2023-04-13 15:33:02.318000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'C4278DFCCA95C2B4FF5C070D3812B8AC', NULL, '审核员2', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('1', '2023-04-13 14:34:41.970000', NULL, 00000000002, '2023-04-13 14:34:41.970000', '2023-04-13 15:11:42.799000', '1', 'C27B8F582693B93596C21C1586A0845A', 'C6DF292D9468377C8AE698D6956A501C', NULL, '管理员', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('1', '2023-04-13 14:34:42.531000', NULL, 00000000002, '2023-04-13 14:34:42.531000', '2023-04-13 15:13:47.089000', '1', 'C27B8F582693B93596C21C1586A0845A', 'D390DF5090B28FA5935A749131F46626', NULL, '管理员', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('1', '2023-04-13 17:28:06.634000', NULL, 00000000000, '2023-04-13 17:28:06.634000', '2023-04-13 17:28:06.634000', '1', '1', 'DA41A50971CE279BD8360EFA9A49CFAD', NULL, '管理员', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('C27B8F582693B93596C21C1586A0845A', '2023-04-13 15:32:56.025000', NULL, 00000000000, '2023-04-13 15:32:56.026000', '2023-04-13 15:32:56.026000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'DC9CF05C63E27B10215A054D8AE0F11F', NULL, '审核员2', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('C27B8F582693B93596C21C1586A0845A', '2023-04-13 15:33:05.437000', NULL, 00000000000, '2023-04-13 15:33:05.438000', '2023-04-13 15:33:05.438000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'E53114324BDC8C08E8CDE7DB98821384', NULL, '审核员2', '国家毒品实验室陕西分中心');
INSERT INTO `centralized_request` VALUES ('C27B8F582693B93596C21C1586A0845A', '2023-04-13 15:33:01.041000', NULL, 00000000000, '2023-04-13 15:33:01.041000', '2023-04-13 15:33:01.041000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'E769D09B920639E8C69665DF09C0E031', NULL, '审核员2', '国家毒品实验室陕西分中心');

-- ----------------------------
-- Table structure for check_content
-- ----------------------------
DROP TABLE IF EXISTS `check_content`;
CREATE TABLE `check_content`  (
  `brand` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '品牌',
  `compliance_check_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(符合性检查记录表ID)',
  `reagent_consumable_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `specification_and_model` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `check_content_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `qualified` tinyint(2) NULL DEFAULT NULL,
  PRIMARY KEY (`check_content_id`) USING BTREE,
  INDEX `IXFK_Check_content_compliance_check`(`compliance_check_id`) USING BTREE,
  CONSTRAINT `FK_Check_content_compliance_check` FOREIGN KEY (`compliance_check_id`) REFERENCES `compliance_check` (`compliance_check_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(检查内容)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of check_content
-- ----------------------------

-- ----------------------------
-- Table structure for check_schedule
-- ----------------------------
DROP TABLE IF EXISTS `check_schedule`;
CREATE TABLE `check_schedule`  (
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `manager_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `audit_time_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `audit_result_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `audit_opinion_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `check_schedule_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `technical_director_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`check_schedule_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of check_schedule
-- ----------------------------
INSERT INTO `check_schedule` VALUES (NULL, '1', '2023-04-10 14:54:41.848', '1', '审核通过', 'B8BE49FB3D4ABCBB459EFD4FC5B154B0', '2023-04-10 14:52:26.161000', '2023-04-10 14:54:41.848000', '1', '1', '1', '2');

-- ----------------------------
-- Table structure for compliance_check
-- ----------------------------
DROP TABLE IF EXISTS `compliance_check`;
CREATE TABLE `compliance_check`  (
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核意见',
  `audit_result_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_result_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `audit_time_of_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级审核时间',
  `date_of_inspection` datetime(6) NULL DEFAULT NULL COMMENT '(检查日期)',
  `examination_conclusion` varchar(55) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(检查结论)',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID',
  `inspection_scheme` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(检查方案)',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `secondary_auditor_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人ID',
  `compliance_check_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reagent_consumable_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `nonconforming_item` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`compliance_check_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(符合性检查记录表)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of compliance_check
-- ----------------------------
INSERT INTO `compliance_check` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '75C3CBCE085AED54F73EE48A31262EEE', '2023-04-07 16:46:26.896000', '2023-04-07 16:46:26.896000', '1', '1', NULL, 'HW-2023-1-50', '固体', NULL, '华为', '942B1DF7A794395171D3175270A46464');
INSERT INTO `compliance_check` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'F1E72977E01FB6D2EBDCD26FE71B02D6', '2023-04-07 16:47:20.265000', '2023-04-07 16:47:20.265000', '1', '1', NULL, 'HW-2023-1-50', '固体', NULL, '华为', '942B1DF7A794395171D3175270A46464');

-- ----------------------------
-- Table structure for deactivation_application
-- ----------------------------
DROP TABLE IF EXISTS `deactivation_application`;
CREATE TABLE `deactivation_application`  (
  `applicant_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人ID)',
  `application_time` datetime(0) NULL DEFAULT NULL COMMENT '(申请时间)',
  `reference_material_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `reference_material_number` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质编号)',
  `deactivation_application_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`deactivation_application_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质到期停用申请表)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of deactivation_application
-- ----------------------------

-- ----------------------------
-- Table structure for decentralize_details
-- ----------------------------
DROP TABLE IF EXISTS `decentralize_details`;
CREATE TABLE `decentralize_details`  (
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌)',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(类别)',
  `decentralized_request_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(分散采购申请ID)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `decentralize_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `packaged_copies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装份数',
  `quantity` int(10) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_Id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(种类)',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术参数)',
  `unit_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '单价',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `purpose` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(用途)',
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`decentralize_details_id`) USING BTREE,
  INDEX `IXFK_decentralize_details_decentralized_request`(`decentralized_request_id`) USING BTREE,
  CONSTRAINT `FK_decentralize_details_decentralized_request` FOREIGN KEY (`decentralized_request_id`) REFERENCES `decentralized_request` (`decentralized_request_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '分散采购申请明细' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of decentralize_details
-- ----------------------------
INSERT INTO `decentralize_details` VALUES ('小米', '标准物质', '6E1BDB790A4CCB4716A790A100B1D422', '1.2', '6EB2D7A93F0F25B3B311CE7D1A4E9E58', '50', 0000000100, '233ace392b1a111a5a4b91191cb24811', '一般标准物质', '固体', '70%', NULL, 0004299.00, '2023-04-06 16:57:40.213000', '2023-04-06 16:58:25.860000', '1', '1', NULL, 'HW', 'K粉', '冷藏存储', '白色粉末', '盒', '大麻');
INSERT INTO `decentralize_details` VALUES ('苹果', '标准物质', '6E1BDB790A4CCB4716A790A100B1D422', '1.2', 'B180EAC77ADB7C87A204F28006085688', '50', 0000000050, '34ef0c4eb51bf9d925ea581e96fd2349', '一般标准物质', '固体', '70%', NULL, 0004299.00, '2023-04-06 16:57:40.216000', '2023-04-06 16:58:25.863000', '1', '1', NULL, 'HW', 'K粉', '冷藏存储', '白色粉末', '盒', '摇头丸');
INSERT INTO `decentralize_details` VALUES ('三星', '标准物质', '6E1BDB790A4CCB4716A790A100B1D422', '1.2', 'CE360CA006AB5CA16459DD3D4FBFEC73', '50', 0000000010, '214ed66de23e1f9cf495ea28f4b00b7f', '一般标准物质', '固体', '70%', NULL, 0004299.00, '2023-04-06 16:57:40.215000', '2023-04-06 16:58:25.865000', '1', '1', NULL, 'HW', 'K粉', '冷藏存储', '白色粉末', '盒', '鸦片');

-- ----------------------------
-- Table structure for decentralized_request
-- ----------------------------
DROP TABLE IF EXISTS `decentralized_request`;
CREATE TABLE `decentralized_request`  (
  `applicant_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人id)',
  `opinion_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批意见',
  `result_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批结果\r\n',
  `approval_of_time` datetime(6) NULL DEFAULT NULL COMMENT '审批时间',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核意见',
  `audit_opinion_of_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核意见',
  `audit_result_of_primary` tinyint(3) NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_result_of_secondary` tinyint(3) NULL DEFAULT NULL COMMENT '二级审核结果',
  `audit_result_of_three_level` tinyint(3) NULL DEFAULT NULL COMMENT '三级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `audit_time_of_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级审核时间',
  `audit_time_of_three_level` datetime(6) NULL DEFAULT NULL COMMENT '三级审核时间',
  `compliance_testing` tinyint(6) NULL DEFAULT NULL COMMENT '(需要符合性检验)',
  `date_of_application` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请日期)',
  `approver_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批人ID',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID\r\n',
  `decentralized_request_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `purchase_list_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购清单ID)',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人ID',
  `status` int(8) NULL DEFAULT NULL COMMENT '(提交状态)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `three_level_audit_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核人ID',
  PRIMARY KEY (`decentralized_request_id`) USING BTREE,
  INDEX `IXFK_decentralized_request_purchase_list`(`purchase_list_id`) USING BTREE,
  CONSTRAINT `FK_decentralized_request_purchase_list` FOREIGN KEY (`purchase_list_id`) REFERENCES `purchase_list` (`purchase_list_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(分散采购申请)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of decentralized_request
-- ----------------------------
INSERT INTO `decentralized_request` VALUES ('1', '审批通过', '1', '2023-04-06 16:51:15.205000', '审核通过', '审核通过', '审核通过', 1, 1, 1, '2023-04-06 16:29:10.820000', '2023-04-06 16:30:04.107000', '2023-04-06 16:48:49.856000', 1, '2023-04-06 16:13:11.897', '1', '1', '0D1EDD33CF2204A95AB840CD05099E82', NULL, '1', 1, '2023-04-06 16:13:11.927000', '2023-04-06 16:51:15.220000', '1', '1', '1');
INSERT INTO `decentralized_request` VALUES ('1', '审批通过', '1', '2023-04-06 16:58:25.834000', NULL, NULL, '审核通过', NULL, NULL, 1, NULL, NULL, '2023-04-06 16:58:20.903000', 1, '2023-04-06 16:57:40.14', '1', NULL, '6E1BDB790A4CCB4716A790A100B1D422', NULL, NULL, 1, '2023-04-06 16:57:40.171000', '2023-04-06 16:58:25.866000', '1', '1', '1');

-- ----------------------------
-- Table structure for delivery_registration_form
-- ----------------------------
DROP TABLE IF EXISTS `delivery_registration_form`;
CREATE TABLE `delivery_registration_form`  (
  `date_of_delivery` datetime(6) NULL DEFAULT NULL COMMENT '(出库日期)',
  `depositor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(出库人)',
  `outgoing_applicant_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(出库申请人)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `delivery_registration_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`delivery_registration_form_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材出库登记表)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of delivery_registration_form
-- ----------------------------
INSERT INTO `delivery_registration_form` VALUES (NULL, NULL, '1', '2023-04-07 17:16:13.623000', '2023-04-07 17:16:13.623000', '1', '1', '051E8C6D1176D86DF26749678AD26C4C');
INSERT INTO `delivery_registration_form` VALUES (NULL, NULL, '1', '2023-04-07 16:35:58.056000', '2023-04-07 16:35:58.056000', '1', '1', '857CEB7B1ADC12AECC51D6D56710535E');
INSERT INTO `delivery_registration_form` VALUES (NULL, NULL, '1', '2023-04-07 16:30:07.664000', '2023-04-07 16:30:07.664000', '1', '1', 'EA45B5C92150D0FF0BF3F18F1C8F8D31');

-- ----------------------------
-- Table structure for details_of_centralized
-- ----------------------------
DROP TABLE IF EXISTS `details_of_centralized`;
CREATE TABLE `details_of_centralized`  (
  `centralized_request_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(集中采购申请ID)',
  `purchase_catalogue_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购目录编号)',
  `quantity_purchased` int(255) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(采购数量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `details_of_centralized_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `procurement_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `replacement_quantity` int(255) UNSIGNED ZEROFILL NULL DEFAULT NULL,
  `replacement_reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `number_of_applications` int(11) UNSIGNED ZEROFILL NULL DEFAULT NULL,
  PRIMARY KEY (`details_of_centralized_id`) USING BTREE,
  INDEX `IXFK_details_of_centralized_centralized_request`(`centralized_request_id`) USING BTREE,
  CONSTRAINT `FK_details_of_centralized_centralized_request` FOREIGN KEY (`centralized_request_id`) REFERENCES `centralized_request` (`centralized_request_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(集中采购申请明细)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of details_of_centralized
-- ----------------------------
INSERT INTO `details_of_centralized` VALUES ('B976072C2ECEC5F656996BF99B26437C', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 14:37:57.200000', '2023-04-13 14:37:57.200000', '1', '1', '036FBE96754CE6C0FD958FB2103A15C6', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('7670A3D16159B481743E55C7680AEDAE', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 11:04:33.042000', '2023-04-13 15:09:52.278000', '1', 'C27B8F582693B93596C21C1586A0845A', '09563E10901623C96898AA0060BD79FB', '1F1F96B3111926C9FEC197DDF64F4D83', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('5FA0E86D36EBC6BA27AFD921D2A2390E', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-03 16:27:24.929000', '2023-04-13 15:21:41.391000', '1', 'C27B8F582693B93596C21C1586A0845A', '148E6D4A3BCA4CB4DC7ACFA366DF7AA9', 'ABAE3695A9418D7DACC0338867A690DF', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('E53114324BDC8C08E8CDE7DB98821384', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 15:33:05.439000', '2023-04-13 15:33:05.439000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '1DBE0B4A008D1922BDFAEA9202825FC7', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('147B087723A697934C737F56DBE2ACD0', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 14:34:41.272000', '2023-04-13 18:14:09.117000', '1', 'C27B8F582693B93596C21C1586A0845A', '1E0FC8DC26105AD990BDE1BE9FBB1B73', '8F9F46D2F5B24B597C00C8095635A7AF', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('E769D09B920639E8C69665DF09C0E031', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 15:33:01.043000', '2023-04-13 15:33:01.043000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '1FE84DA88C7605936D5D392A0E03475A', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('A2C4343C256A406F24C9F52D7DF6ED1C', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-04 10:58:49.740000', '2023-04-13 15:13:47.082000', '1', 'C27B8F582693B93596C21C1586A0845A', '233D81E4C480473CB846B3B1B7A96CFE', '7044AD98A345F98B61F3C8DF703BE7BB', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('5FA0E86D36EBC6BA27AFD921D2A2390E', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-03 16:27:24.929000', '2023-04-13 15:21:41.393000', '1', 'C27B8F582693B93596C21C1586A0845A', '24DAD1026EF3124837C849B06394792C', '981E1B81E24D67BDFC1BE761D29A2DFB', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('37196C6F4EC867940E92D63AA2D45272', NULL, NULL, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 18:15:28.082000', '2023-04-13 18:15:28.082000', '1', '1', '2794C1C84EC550D49495B56632486B93', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('6381CD03AE457F19F2B59A716107C576', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 15:33:01.668000', '2023-04-13 15:33:01.668000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2BFA4A3AE343B7AE159EF740CD9B078E', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('147B087723A697934C737F56DBE2ACD0', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 14:34:41.272000', '2023-04-13 18:14:09.120000', '1', 'C27B8F582693B93596C21C1586A0845A', '2C0216F68C894E0E48104C925D34B1EE', 'A9342C8057C8050B60050E35380CA302', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('511061CDF38F4AD3E42A5607EF34CE70', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-04 10:05:12.615000', '2023-04-13 15:21:41.395000', '1', 'C27B8F582693B93596C21C1586A0845A', '306B3EB9F9BF097A3066AD4FDF802565', 'ABAE3695A9418D7DACC0338867A690DF', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('A2C4343C256A406F24C9F52D7DF6ED1C', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-04 10:58:49.741000', '2023-04-13 15:13:47.085000', '1', 'C27B8F582693B93596C21C1586A0845A', '39553D1D45A45459E6AB00FD17BDC149', '7D7755C07CB905889647FEE7AD56FD6B', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('522B0D715E3C29B2850E074EF64945DC', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 15:33:03.002000', '2023-04-13 15:33:03.002000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '39777C76D81D2674B007D1568CE18C0B', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('82F9EE326A77F8F3574DE5A37A1A2968', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 15:32:59.083000', '2023-04-13 15:32:59.083000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '3D894B1F16B8550426279FD6E1B85972', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('30460FE4800DF68B9FDCDE98EB9E0625', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 17:28:05.507000', '2023-04-13 17:28:05.507000', '1', '1', '3DB761305AA0760671B64BE098D40FD2', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('12EFC5A4EB7A7D0267AD4FCAAF40B57C', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 15:32:54.945000', '2023-04-13 17:59:33.355000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '3FA9D937E31527F1A7C60610CEC12BBA', '473D7A596436DBA3CED6F937180B08D5', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('B2A620D800D151D690E7C985C6226378', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 15:33:04.245000', '2023-04-13 15:33:04.245000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '424DEDF5695162032DE53E6A73AD3A9E', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('03FB5B70D611B204C951EB339003B3EF', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 14:34:51.142000', '2023-04-13 17:48:36.942000', '1', 'C27B8F582693B93596C21C1586A0845A', '4899DA95368AAC007EC4BB30E39C5A30', 'F707B6D02974D8DF4ED97526C268BC4E', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('A46A6F7B47427294D1E35A66A85B252C', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 15:32:56.857000', '2023-04-13 15:32:56.857000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '4D6CBEEB6E1894970BB501F5773802E1', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('74E0C2EA9A499D0F2B7864D72EC585A8', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 15:33:06.038000', '2023-04-13 15:33:06.038000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '505F470A90821F2E5879F84AECAC30C1', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('30460FE4800DF68B9FDCDE98EB9E0625', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 17:28:05.507000', '2023-04-13 17:28:05.507000', '1', '1', '50B551B44B4B23BB64CE54447084588C', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('114CF3436F55D880759B13A2A64B9DB2', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 11:04:30.653000', '2023-04-13 17:48:36.955000', '1', 'C27B8F582693B93596C21C1586A0845A', '53D5665F6ADBA8574FF4184A2F6ECCAA', 'CD56F66B04995D7EB60DC758EF8E6ED5', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('A46A6F7B47427294D1E35A66A85B252C', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 15:32:56.856000', '2023-04-13 15:32:56.856000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '561AAE646DC520D3CE386E24F4E2EED2', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('83831B93B83287724E623C50C19B4374', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 15:33:03.615000', '2023-04-13 15:33:03.615000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '5B98AAB372A31F35B21D0E79874E509E', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('C29269FBE74F731ACAF13A8DA3D8E14D', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 15:33:04.870000', '2023-04-13 15:33:04.870000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '5D476BA218C0CB7720A1EDAEEED751E7', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('0350E982A09AA4460BD597B56B3F15DF', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 15:32:59.636000', '2023-04-13 17:59:33.344000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '5E25FF2FDCF2446ECADECE3E8D5878F4', 'D91DA1A9E7B1C00DD0CA527BDF6AA033', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('1A5552281A338DC833329CFF3ED06375', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 15:33:00.360000', '2023-04-13 18:14:09.124000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '63D475FA503F7656569D529C05005F67', 'A9342C8057C8050B60050E35380CA302', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('17855861B1526AC515C8F2BC99F54B65', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 14:34:56.637000', '2023-04-13 14:50:59.936000', '1', 'C27B8F582693B93596C21C1586A0845A', '667032215C7B1DDBA377B89561FB33D6', '9CB5A80D99E56B59BAE98A56BBF7BD8B', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('37196C6F4EC867940E92D63AA2D45272', NULL, NULL, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 18:15:28.083000', '2023-04-13 18:15:28.083000', '1', '1', '68ED6D15085506CEB42679590C846D42', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('522B0D715E3C29B2850E074EF64945DC', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 15:33:03.002000', '2023-04-13 15:33:03.002000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '6984C90E0C452DABAF096EA1862BB6E5', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('DC9CF05C63E27B10215A054D8AE0F11F', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 15:32:56.029000', '2023-04-13 15:32:56.029000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '6AD4BFF3EBB810F92C52C2AA71C967C9', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('8AD3750968B5CD83FCEA7DCF6CBB85DA', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 11:04:32.388000', '2023-04-13 15:00:01.212000', '1', 'C27B8F582693B93596C21C1586A0845A', '6BA4978D7006F0D2D258C6E783E79193', 'AA4E1BE00F35EB5BDC981986685559E3', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('114CF3436F55D880759B13A2A64B9DB2', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 11:04:30.654000', '2023-04-13 17:48:36.960000', '1', 'C27B8F582693B93596C21C1586A0845A', '6C16BDFB0CCC6D78E37E93458E74B6B2', 'F707B6D02974D8DF4ED97526C268BC4E', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('83831B93B83287724E623C50C19B4374', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 15:33:03.614000', '2023-04-13 15:33:03.614000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '6CF22863B67A9BB6E75716B205516C54', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('03FB5B70D611B204C951EB339003B3EF', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 14:34:51.141000', '2023-04-13 17:48:36.949000', '1', 'C27B8F582693B93596C21C1586A0845A', '7193DFF678E9464C0FFF49AAEE78832E', 'CD56F66B04995D7EB60DC758EF8E6ED5', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('D390DF5090B28FA5935A749131F46626', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 14:34:42.533000', '2023-04-13 15:13:47.088000', '1', 'C27B8F582693B93596C21C1586A0845A', '7B0C7FFB03F389C8D4C7AE3DF33DE9E9', '7D7755C07CB905889647FEE7AD56FD6B', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('B1E76397A1DAD194B6CA52ADD908119A', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 14:34:31.890000', '2023-04-13 15:11:42.792000', '1', 'C27B8F582693B93596C21C1586A0845A', '7B0E7657A8FE01626E4BD22400317834', '44B6FA47DFB1162ACC8B4F53C3093BE6', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('C4278DFCCA95C2B4FF5C070D3812B8AC', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 15:33:02.319000', '2023-04-13 15:33:02.319000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '7C837F54AB9848AEFEF4279D94C06487', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('C29269FBE74F731ACAF13A8DA3D8E14D', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 15:33:04.871000', '2023-04-13 15:33:04.871000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '86967B549F33992F2520CA182AB52386', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('B2A620D800D151D690E7C985C6226378', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 15:33:04.245000', '2023-04-13 15:33:04.245000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '879A43BCA3048CD5055C067862D7A4B4', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('17855861B1526AC515C8F2BC99F54B65', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 14:34:56.638000', '2023-04-13 14:50:59.939000', '1', 'C27B8F582693B93596C21C1586A0845A', '8B076FF79EA1E23CEAD5E6FB4E0FFB8D', '3C47D977AC611AD933DF1B1A419B4643', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('D390DF5090B28FA5935A749131F46626', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 14:34:42.532000', '2023-04-13 15:13:47.090000', '1', 'C27B8F582693B93596C21C1586A0845A', '8D9C32FDD4FD579A2BB0AB5A3654B14F', '7044AD98A345F98B61F3C8DF703BE7BB', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('B1E76397A1DAD194B6CA52ADD908119A', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 14:34:31.891000', '2023-04-13 15:11:42.795000', '1', 'C27B8F582693B93596C21C1586A0845A', '9B7D073D9029C2E53BBA8EED034337EA', '18AB5D7E69A0C051800051D46B99CAAC', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('8EBBDAEE03D9F92B188B9D6448C6E06E', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 14:34:43.883000', '2023-04-13 15:00:01.209000', '1', 'C27B8F582693B93596C21C1586A0845A', '9BF9781A9957F877FB1608832889130F', '5CD8B10B74BC8B6661204994DFA9F7CB', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('1E1397FB37743BA23B397192A3DE2C66', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 14:34:44.561000', '2023-04-13 14:50:59.942000', '1', 'C27B8F582693B93596C21C1586A0845A', '9E9A282E6633981AC813F5BAF5128986', '3C47D977AC611AD933DF1B1A419B4643', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('6F01D9B18B2C951D1034C48EE34E9551', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 15:32:58.309000', '2023-04-13 15:32:58.309000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'A0A0BDD7572C444EFF88C7BE93B90AFB', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('83178990D838C1EBCC605218E9C345A3', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 17:20:52.806000', '2023-04-13 17:20:52.806000', '1', '1', 'A3F9F792B95664425C0AD435337245EC', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('DA41A50971CE279BD8360EFA9A49CFAD', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 17:28:06.635000', '2023-04-13 17:28:06.635000', '1', '1', 'A8B511D5395C68A45E8E9442ABACC7DD', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('8EBBDAEE03D9F92B188B9D6448C6E06E', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 14:34:43.883000', '2023-04-13 15:00:01.210000', '1', 'C27B8F582693B93596C21C1586A0845A', 'AA9CCB74376A1092BB59389647E98F04', 'AA4E1BE00F35EB5BDC981986685559E3', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('7670A3D16159B481743E55C7680AEDAE', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 11:04:33.042000', '2023-04-13 15:09:52.282000', '1', 'C27B8F582693B93596C21C1586A0845A', 'B1183A5AB1244F84F1120B3B0214B5BA', '767154A9F4A2260DC6F9DEA26741246B', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('6F01D9B18B2C951D1034C48EE34E9551', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 15:32:58.309000', '2023-04-13 15:32:58.309000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'B16D396ABF350D1B4C35804EEB16C254', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('C4278DFCCA95C2B4FF5C070D3812B8AC', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 15:33:02.319000', '2023-04-13 15:33:02.319000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'B8FF16CF2A6A170EF20F03D4EE6D59E9', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('DC9CF05C63E27B10215A054D8AE0F11F', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 15:32:56.027000', '2023-04-13 15:32:56.027000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'BCED98F28A4EFC23B9CCF5EBAB8B3994', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('C6DF292D9468377C8AE698D6956A501C', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 14:34:41.972000', '2023-04-13 15:11:42.798000', '1', 'C27B8F582693B93596C21C1586A0845A', 'C05FF88F6E46C9AD1425DD2CF9B76D49', '44B6FA47DFB1162ACC8B4F53C3093BE6', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('E769D09B920639E8C69665DF09C0E031', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 15:33:01.043000', '2023-04-13 15:33:01.043000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'C3C4669B5BDCB9BC1F1AB49EC1AE5D66', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('0350E982A09AA4460BD597B56B3F15DF', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 15:32:59.636000', '2023-04-13 17:59:33.348000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'C487CC88E999115E849EB02A6AFC732E', '473D7A596436DBA3CED6F937180B08D5', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('511061CDF38F4AD3E42A5607EF34CE70', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-04 10:05:12.616000', '2023-04-13 15:21:41.397000', '1', 'C27B8F582693B93596C21C1586A0845A', 'C5CD0B9F3C69F5AD875249973935C634', '981E1B81E24D67BDFC1BE761D29A2DFB', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('E53114324BDC8C08E8CDE7DB98821384', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 15:33:05.439000', '2023-04-13 15:33:05.439000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'C9C7CB3A8A64C49057AAF66C9CF0D701', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('6381CD03AE457F19F2B59A716107C576', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 15:33:01.669000', '2023-04-13 15:33:01.669000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'CA5278737196FEE1C379B9BA93793E73', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('64792E8064DF858142B9A2EACAB547B8', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 14:34:43.208000', '2023-04-13 15:09:52.270000', '1', 'C27B8F582693B93596C21C1586A0845A', 'CF4FE7266CF6DE336A7221328C17C42A', '1F1F96B3111926C9FEC197DDF64F4D83', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('82F9EE326A77F8F3574DE5A37A1A2968', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 15:32:59.084000', '2023-04-13 15:32:59.084000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'D1591B2675E354BBE9C60D454F15F7AC', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('47BFD5FEB5001B87E5992AF8221E1889', NULL, NULL, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 18:15:28.848000', '2023-04-13 18:15:28.848000', '1', '1', 'D1806DF2FEE92B7F0F040CEE0C2CFB8F', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('B976072C2ECEC5F656996BF99B26437C', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 14:37:57.199000', '2023-04-13 14:37:57.199000', '1', '1', 'D763D60932153FC809E7EE870F31E6C4', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('1E1397FB37743BA23B397192A3DE2C66', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 14:34:44.560000', '2023-04-13 14:50:59.944000', '1', 'C27B8F582693B93596C21C1586A0845A', 'DC51DD22E99A67DE4A970458A413177A', '9CB5A80D99E56B59BAE98A56BBF7BD8B', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('12EFC5A4EB7A7D0267AD4FCAAF40B57C', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 15:32:54.947000', '2023-04-13 17:59:33.359000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'DF9DBB3A1F3E4F8D232866C6FDA65B9F', 'D91DA1A9E7B1C00DD0CA527BDF6AA033', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('DA41A50971CE279BD8360EFA9A49CFAD', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 17:28:06.636000', '2023-04-13 17:28:06.636000', '1', '1', 'E043B717844C7A3EA2142AB8F5698C42', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('1A5552281A338DC833329CFF3ED06375', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 15:33:00.361000', '2023-04-13 18:14:09.128000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'E264554D3A4563DB937AE92DC9577341', '8F9F46D2F5B24B597C00C8095635A7AF', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('8AD3750968B5CD83FCEA7DCF6CBB85DA', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 11:04:32.389000', '2023-04-13 15:00:01.214000', '1', 'C27B8F582693B93596C21C1586A0845A', 'E28DE93E9857B6D1CC313E841916E5AC', '5CD8B10B74BC8B6661204994DFA9F7CB', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('C6DF292D9468377C8AE698D6956A501C', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 14:34:41.973000', '2023-04-13 15:11:42.800000', '1', 'C27B8F582693B93596C21C1586A0845A', 'E49C1194ABA01D686D7D5DD29F4B105D', '18AB5D7E69A0C051800051D46B99CAAC', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('BFEB4B28F2DE9000292EA5FE28DF4F39', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 15:32:57.608000', '2023-04-13 15:32:57.608000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'E8F5BC995999668252E2B75193B5455A', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('64792E8064DF858142B9A2EACAB547B8', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'FCD45169853216681393BA13B8056435', '无', '2023-04-13 14:34:43.209000', '2023-04-13 15:09:52.273000', '1', 'C27B8F582693B93596C21C1586A0845A', 'E8FACFD2F6DA3C8F9A7FE1B0DA7150B1', '767154A9F4A2260DC6F9DEA26741246B', NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('74E0C2EA9A499D0F2B7864D72EC585A8', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 15:33:06.038000', '2023-04-13 15:33:06.038000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'ED1A0D4CCF650B50350FE17B67BFCED3', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('47BFD5FEB5001B87E5992AF8221E1889', NULL, NULL, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 18:15:28.847000', '2023-04-13 18:15:28.847000', '1', '1', 'F088F2A615C2ED2BDC427929EA793F49', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('83178990D838C1EBCC605218E9C345A3', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 17:20:52.805000', '2023-04-13 17:20:52.805000', '1', '1', 'F70B96C02DF8E0541E14580AE8F4E44C', NULL, NULL, NULL, 00000000050);
INSERT INTO `details_of_centralized` VALUES ('BFEB4B28F2DE9000292EA5FE28DF4F39', NULL, 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000, 'EC9357ED2463BB14C6EFE231436C218D', '无', '2023-04-13 15:32:57.607000', '2023-04-13 15:32:57.607000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'FC21E33B497B55CC0A4E3993926947E7', NULL, NULL, NULL, 00000000050);

-- ----------------------------
-- Table structure for disqualification_form
-- ----------------------------
DROP TABLE IF EXISTS `disqualification_form`;
CREATE TABLE `disqualification_form`  (
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `compliance_check_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `disqualification_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`disqualification_form_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of disqualification_form
-- ----------------------------

-- ----------------------------
-- Table structure for evaluation_form
-- ----------------------------
DROP TABLE IF EXISTS `evaluation_form`;
CREATE TABLE `evaluation_form`  (
  `comments_from_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级评价意见',
  `comments_from_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级评价意见',
  `contact_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系电话)',
  `contact_person` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系人)',
  `primary_user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级评价人ID',
  `comments_from_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级评价意见',
  `secondary_user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级评价人ID',
  `service_provider_and_supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(服务商/供应商ID)',
  `three_level_user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级评价人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `evaluation_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `supplier_information_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商/服务商信息表ID',
  `supplier_business_license` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商营业执照)',
  `supplier_passes_quality_assurance_system` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商通过质量保证体系)',
  `supplier_product_certification` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商产品认证)',
  `check_and_calibrate_efficiency_of_supplies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应品检验校准效率)',
  `overall_supplier_service_satisfaction` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应商总体服务是否满意)',
  `supplier_attitude` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商态度)',
  `supplier_equipment_and_facilities` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商设备与设施)',
  `supplier_technology_and_management_capability` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商技术与管理能力)',
  `whether_the_supplier_delivers_on_time` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商交货是否及时)',
  `comments_result_from_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级评价结果',
  `comments_date_from_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级评价时间',
  `comments_result_from_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级评价结果',
  `comments_date_from_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级评价时间',
  `comments_result_from_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级评价结果',
  `comments_date_from_three_level` datetime(6) NULL DEFAULT NULL COMMENT '三级评价时间',
  `status` int(2) NULL DEFAULT NULL COMMENT '状态\r\n',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`evaluation_form_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(服务商/供应商评价表)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of evaluation_form
-- ----------------------------
INSERT INTO `evaluation_form` VALUES ('合格', NULL, '15533331111', '关于', '1', NULL, NULL, NULL, NULL, '2023-03-21 10:26:55.452000', '2023-03-21 10:28:29.370000', '1', '1', 'BF25138DF5339B72ECC9772B59C959EB', '1', '有', '有', '有', '满意', '满意', '满意', '满意', '满意', '满意', NULL, '2023-03-21 00:00:00.000000', NULL, NULL, NULL, NULL, 1, NULL);

-- ----------------------------
-- Table structure for evaluation_result
-- ----------------------------
DROP TABLE IF EXISTS `evaluation_result`;
CREATE TABLE `evaluation_result`  (
  `check_and_calibrate_efficiency_of_supplies` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应品检验校准效率)',
  `overall_supplier_service_satisfaction` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应商总体服务是否满意)',
  `evaluation_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(服务商/供应商评价表id)',
  `supplier_attitude` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商态度)',
  `supplier_equipment_and_facilities` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商设备与设施)',
  `supplier_technology_and_management_capability` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商技术与管理能力)',
  `whether_the_supplier_delivers_on_time` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商交货是否及时)',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `evaluation_result_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`evaluation_result_id`) USING BTREE,
  INDEX `IXFK_evaluation_result_evaluation_form`(`evaluation_form_id`) USING BTREE,
  CONSTRAINT `FK_evaluation_result_evaluation_form` FOREIGN KEY (`evaluation_form_id`) REFERENCES `evaluation_form` (`evaluation_form_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(服务商/供应商评价结果)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of evaluation_result
-- ----------------------------

-- ----------------------------
-- Table structure for expiration_reminder
-- ----------------------------
DROP TABLE IF EXISTS `expiration_reminder`;
CREATE TABLE `expiration_reminder`  (
  `expiration_date` datetime(0) NULL DEFAULT NULL COMMENT '(试剂耗材有效期/保质期)',
  `expiration_message` datetime(0) NOT NULL COMMENT '(试剂耗材到期提醒信息)',
  `reagent_consumable_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `reagent_consumable_number` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材编号)',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `expiration_reminder_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`expiration_reminder_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材到期提醒)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of expiration_reminder
-- ----------------------------

-- ----------------------------
-- Table structure for fixed_value_report
-- ----------------------------
DROP TABLE IF EXISTS `fixed_value_report`;
CREATE TABLE `fixed_value_report`  (
  `fixed_value_report` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(定值报告URL)',
  `reference_substance_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  `fixed_value_report_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `fixed_result` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '定值结果',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`fixed_value_report_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(定值报告)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of fixed_value_report
-- ----------------------------

-- ----------------------------
-- Table structure for instruction_book
-- ----------------------------
DROP TABLE IF EXISTS `instruction_book`;
CREATE TABLE `instruction_book`  (
  `audit_opinion_of_technical` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '技术负责人审核意见',
  `audit_result_of_technical` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '技术负责人审核结果',
  `audit_time_of_technical` datetime(0) NULL DEFAULT NULL COMMENT '技术负责人审核时间',
  `commit_status` int(11) NULL DEFAULT NULL COMMENT '(提交状态)',
  `instruction_book` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(指导书)',
  `maker_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(制定人)',
  `reference_material_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质id)',
  `set_time` datetime(0) NULL DEFAULT NULL COMMENT '(制定时间)',
  `technical_director_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '技术负责人ID',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `instruction_book_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`instruction_book_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质期间核查指导书)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of instruction_book
-- ----------------------------

-- ----------------------------
-- Table structure for lattice_form
-- ----------------------------
DROP TABLE IF EXISTS `lattice_form`;
CREATE TABLE `lattice_form`  (
  `update_by` varbinary(255) NULL DEFAULT NULL,
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `lattice_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `cabinet_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `picture` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`lattice_form_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of lattice_form
-- ----------------------------
INSERT INTO `lattice_form` VALUES (NULL, NULL, '0', '1', '1', NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for location_information
-- ----------------------------
DROP TABLE IF EXISTS `location_information`;
CREATE TABLE `location_information`  (
  `cabinet_number` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(柜子编号)',
  `cabinet_type` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(柜子类型)',
  `lattice_number` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(格子编号)',
  `storage_registration_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材入库登记表ID)',
  `storage_room_number` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(存储室号)',
  `storage_room_type` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(存储室类型)',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `location_information_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`location_information_id`) USING BTREE,
  INDEX `IXFK_location_information_storage_registration_form`(`storage_registration_form_id`) USING BTREE,
  CONSTRAINT `FK_location_information_storage_registration_form` FOREIGN KEY (`storage_registration_form_id`) REFERENCES `storage_registration_form` (`storage_registration_form_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(位置信息)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of location_information
-- ----------------------------

-- ----------------------------
-- Table structure for outgoing_contents
-- ----------------------------
DROP TABLE IF EXISTS `outgoing_contents`;
CREATE TABLE `outgoing_contents`  (
  `delivery_registration_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材出库登记表ID)',
  `outbound_use` int(3) NULL DEFAULT NULL COMMENT '(出库用途)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `reagent_consumable_type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材类型)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `outgoing_contents_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`outgoing_contents_id`) USING BTREE,
  INDEX `IXFK_outgoing_contents_delivery_registration_form`(`delivery_registration_form_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(出库内容)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of outgoing_contents
-- ----------------------------
INSERT INTO `outgoing_contents` VALUES ('EA45B5C92150D0FF0BF3F18F1C8F8D31', NULL, 99, NULL, '标准物质', '测试3修改', '2023-04-07 16:30:07.672000', '2023-04-07 16:30:07.672000', '1', '1', '02F5FB4DB52E2DF672D88DB3446F05A0');
INSERT INTO `outgoing_contents` VALUES ('051E8C6D1176D86DF26749678AD26C4C', 1, 909, '214ed66de23e1f9cf495ea28f4b00b7f', '标准物质', '测试2', '2023-04-07 17:16:13.629000', '2023-04-07 17:16:13.629000', '1', '1', '224731DC5169B11D542418B45F503F2A');
INSERT INTO `outgoing_contents` VALUES ('EA45B5C92150D0FF0BF3F18F1C8F8D31', NULL, 50, NULL, '标准物质', '测试修改1', '2023-04-07 16:30:07.673000', '2023-04-07 16:30:07.673000', '1', '1', '387DCBA241CBB0A4840D9474FC2831D2');
INSERT INTO `outgoing_contents` VALUES ('051E8C6D1176D86DF26749678AD26C4C', 1, 1000, '233ace392b1a111a5a4b91191cb24811', '标准物质', '测试1', '2023-04-07 17:16:13.628000', '2023-04-07 17:16:13.628000', '1', '1', '9044043FBE5A75EEA76FFA87416463B4');
INSERT INTO `outgoing_contents` VALUES ('EA45B5C92150D0FF0BF3F18F1C8F8D31', NULL, 99, NULL, '标准物质', '测试2修改', '2023-04-07 16:30:07.671000', '2023-04-07 16:30:07.671000', '1', '1', '9486FB9E98B0DB9C5572D9DB73E08FA5');
INSERT INTO `outgoing_contents` VALUES ('051E8C6D1176D86DF26749678AD26C4C', 1, 909, '942B1DF7A794395171D3175270A46464', '标准物质', '测试3', '2023-04-07 17:16:13.629000', '2023-04-07 17:16:13.629000', '1', '1', 'EC76381D98192F40AA7BA490B037B79C');
INSERT INTO `outgoing_contents` VALUES ('857CEB7B1ADC12AECC51D6D56710535E', 0, 99, '942B1DF7A794395171D3175270A46464', '标准物质', '无', '2023-04-07 16:47:20.286000', '2023-04-07 16:47:20.286000', '1', '1', 'F64E76A5705AD5F6FCDB3CBAD0D73DEB');

-- ----------------------------
-- Table structure for period_verification_implementation
-- ----------------------------
DROP TABLE IF EXISTS `period_verification_implementation`;
CREATE TABLE `period_verification_implementation`  (
  `audit_opinion_of_technical` varchar(6) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核意见)',
  `audit_result_of_technical` tinyint(36) NULL DEFAULT NULL COMMENT '(技术负责人审核结果)',
  `audit_time_of_technical` datetime(6) NULL DEFAULT NULL COMMENT '(技术负责人审核时间)',
  `cause_of_dissatisfaction` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(不满足应用要求原因分析)',
  `checking_time` datetime(6) NULL DEFAULT NULL COMMENT '(核查时间)',
  `commit_status` int(11) NULL DEFAULT NULL COMMENT '(提交状态)',
  `deviation_and_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(偏差/不确定度)',
  `implementation_and_results` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查实施情况及结果)',
  `inspector_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查人员ID)',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(编号)',
  `opinion_of_inspector` tinyint(3) NULL DEFAULT NULL COMMENT '(核查人员意见)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `standard_value_and_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_director_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人ID)',
  `verification_method` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查方法)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `period_verification_implementation_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `period_verification_plan_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`period_verification_implementation_id`) USING BTREE,
  INDEX `IXFK_period_verification_implementation_period_verification_plan`(`period_verification_plan_id`) USING BTREE,
  CONSTRAINT `FK_period_verification_implementation_period_verification_plan` FOREIGN KEY (`period_verification_plan_id`) REFERENCES `period_verification_plan` (`period_verification_plan_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质期间核查实施情况及结果记录表)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of period_verification_implementation
-- ----------------------------

-- ----------------------------
-- Table structure for period_verification_plan
-- ----------------------------
DROP TABLE IF EXISTS `period_verification_plan`;
CREATE TABLE `period_verification_plan`  (
  `date_of_next_check` datetime(6) NULL DEFAULT NULL COMMENT '(下次核查日期)',
  `deviation_and_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(偏差/不确定度)',
  `inspector_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查人ID)',
  `instruction_book_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(指导书ID)',
  `planned_verification_cycle` int(5) NULL DEFAULT NULL COMMENT '(计划核查周期)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `scheduled_verification_date` datetime(6) NULL DEFAULT NULL COMMENT '(计划核查日期)',
  `standard_value_and_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `verification_basis` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查依据)',
  `implementation_date` datetime(6) NULL DEFAULT NULL COMMENT '(核查实施日期)',
  `verification_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查结果)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `period_verification_plan_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `check_schedule_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`period_verification_plan_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质期间核查计划和确认表)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of period_verification_plan
-- ----------------------------

-- ----------------------------
-- Table structure for procurement_content
-- ----------------------------
DROP TABLE IF EXISTS `procurement_content`;
CREATE TABLE `procurement_content`  (
  `purchasing_plan_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购计划id)',
  `quantity_purchased` int(8) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `subtotal` double(255, 0) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(小计)',
  `unit_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(单价)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `procurement_content_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `replacement_quantity` int(255) UNSIGNED ZEROFILL NULL DEFAULT NULL,
  `replacement_reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `replacement_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL,
  `details_of_centralized_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `number_of_applications` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`procurement_content_id`) USING BTREE,
  INDEX `IXFK_procurement_content_purchasing_plan`(`purchasing_plan_id`) USING BTREE,
  CONSTRAINT `FK_procurement_content_purchasing_plan` FOREIGN KEY (`purchasing_plan_id`) REFERENCES `purchasing_plan` (`purchasing_plan_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购内容)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of procurement_content
-- ----------------------------
INSERT INTO `procurement_content` VALUES ('218FA81C133EE8C452A162F93ABFDFBA', 00000050, 'FCD45169853216681393BA13B8056435', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 15:11:42.802000', '2023-04-13 15:11:42.802000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '18AB5D7E69A0C051800051D46B99CAAC', NULL, NULL, NULL, '9B7D073D9029C2E53BBA8EED034337EA', '50');
INSERT INTO `procurement_content` VALUES ('7309AB4FD7EEC9794E2FD45546363B83', 00000050, 'EC9357ED2463BB14C6EFE231436C218D', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 14:37:06.878000', '2023-04-13 14:37:06.878000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '18B0F76118D29DD30941736FBC9D91B2', NULL, NULL, NULL, '7193DFF678E9464C0FFF49AAEE78832E', '50');
INSERT INTO `procurement_content` VALUES ('C82AAC491385E9EE5E741337B2F8B2AB', 00000100, 'EC9357ED2463BB14C6EFE231436C218D', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 15:09:52.286000', '2023-04-13 15:09:52.286000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '1F1F96B3111926C9FEC197DDF64F4D83', NULL, NULL, NULL, 'CF4FE7266CF6DE336A7221328C17C42A', '50');
INSERT INTO `procurement_content` VALUES ('1C92E78E88FA2AE4C3973A6D79B87B53', 00000200, 'EC9357ED2463BB14C6EFE231436C218D', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000500, 0000010.00, '2023-04-11 17:26:11.607000', '2023-04-11 17:26:11.607000', '1', '1', '2651880FEF216AA60C49EB0F8EB38F45', NULL, NULL, NULL, '148E6D4A3BCA4CB4DC7ACFA366DF7AA9', NULL);
INSERT INTO `procurement_content` VALUES ('7C4A3D83320F88126D0C772CFCCDBD6B', 00000000, 'FCD45169853216681393BA13B8056435', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 14:07:35.250000', '2023-04-13 14:07:35.250000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '29280BBF8D9CFAE8CC6D23A95B097B23', NULL, NULL, NULL, '6C16BDFB0CCC6D78E37E93458E74B6B2', '50');
INSERT INTO `procurement_content` VALUES ('5B9B525D83EA782B7191BBC8CD728476', 00000000, 'FCD45169853216681393BA13B8056435', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 14:14:25.461000', '2023-04-13 14:14:25.461000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '333F07C69AAD8CEC027162C8CD958320', NULL, NULL, NULL, '6C16BDFB0CCC6D78E37E93458E74B6B2', '50');
INSERT INTO `procurement_content` VALUES ('54614419E9CBCF32963883420CD49D43', 00000300, 'EC9357ED2463BB14C6EFE231436C218D', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 14:27:26.774000', '2023-04-13 14:27:26.774000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '3A57E0A5A523EB458521B7AE465F7161', NULL, NULL, NULL, '53D5665F6ADBA8574FF4184A2F6ECCAA', '50');
INSERT INTO `procurement_content` VALUES ('3E26DBC9CAD7266CC5CD930262E91F8E', 00000150, 'FCD45169853216681393BA13B8056435', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 14:50:59.945000', '2023-04-13 14:50:59.945000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '3C47D977AC611AD933DF1B1A419B4643', NULL, NULL, NULL, '1E0FC8DC26105AD990BDE1BE9FBB1B73', '50');
INSERT INTO `procurement_content` VALUES ('7309AB4FD7EEC9794E2FD45546363B83', 00000100, 'FCD45169853216681393BA13B8056435', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 14:37:06.878000', '2023-04-13 14:37:06.878000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '413C82943587304B757AE0E6888A8398', NULL, NULL, NULL, '4899DA95368AAC007EC4BB30E39C5A30', '50');
INSERT INTO `procurement_content` VALUES ('218FA81C133EE8C452A162F93ABFDFBA', 00000100, 'EC9357ED2463BB14C6EFE231436C218D', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 15:11:42.802000', '2023-04-13 15:11:42.802000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '44B6FA47DFB1162ACC8B4F53C3093BE6', NULL, NULL, NULL, '7B0E7657A8FE01626E4BD22400317834', '50');
INSERT INTO `procurement_content` VALUES ('FD9A91266737A4217997728B7153F3FC', 00000050, 'EC9357ED2463BB14C6EFE231436C218D', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 17:59:33.370000', '2023-04-13 17:59:33.370000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '473D7A596436DBA3CED6F937180B08D5', NULL, NULL, NULL, 'C487CC88E999115E849EB02A6AFC732E', '50');
INSERT INTO `procurement_content` VALUES ('83DF5B0F6319ABC39E4BD884E9156978', 00000100, 'FCD45169853216681393BA13B8056435', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 15:00:01.215000', '2023-04-13 15:00:01.215000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '5CD8B10B74BC8B6661204994DFA9F7CB', NULL, NULL, NULL, '9BF9781A9957F877FB1608832889130F', '50');
INSERT INTO `procurement_content` VALUES ('B63B2ECAA27B8A0F97488CD327371721', 00000100, 'EC9357ED2463BB14C6EFE231436C218D', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 15:13:47.092000', '2023-04-13 15:13:47.092000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '7044AD98A345F98B61F3C8DF703BE7BB', NULL, NULL, NULL, '233D81E4C480473CB846B3B1B7A96CFE', '50');
INSERT INTO `procurement_content` VALUES ('54614419E9CBCF32963883420CD49D43', 00000250, 'FCD45169853216681393BA13B8056435', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 14:27:26.775000', '2023-04-13 14:27:26.775000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '7205159D882FB31AD485B371F3136D0D', NULL, NULL, NULL, '6C16BDFB0CCC6D78E37E93458E74B6B2', '50');
INSERT INTO `procurement_content` VALUES ('C82AAC491385E9EE5E741337B2F8B2AB', 00000050, 'FCD45169853216681393BA13B8056435', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 15:09:52.286000', '2023-04-13 15:09:52.286000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '767154A9F4A2260DC6F9DEA26741246B', NULL, NULL, NULL, 'E8FACFD2F6DA3C8F9A7FE1B0DA7150B1', '50');
INSERT INTO `procurement_content` VALUES ('B63B2ECAA27B8A0F97488CD327371721', 00000050, 'FCD45169853216681393BA13B8056435', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 15:13:47.093000', '2023-04-13 15:13:47.093000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '7D7755C07CB905889647FEE7AD56FD6B', NULL, NULL, NULL, '39553D1D45A45459E6AB00FD17BDC149', '50');
INSERT INTO `procurement_content` VALUES ('35FB49EE91DC432EEEFA1B2B0DC7DCEE', 00000100, 'FCD45169853216681393BA13B8056435', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 18:14:09.135000', '2023-04-13 18:14:09.135000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '8F9F46D2F5B24B597C00C8095635A7AF', NULL, NULL, NULL, '1E0FC8DC26105AD990BDE1BE9FBB1B73', '50');
INSERT INTO `procurement_content` VALUES ('2E4DD67D110280E46E6C95060BA66803', 00000050, 'FCD45169853216681393BA13B8056435', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 15:21:41.401000', '2023-04-13 15:21:41.401000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '981E1B81E24D67BDFC1BE761D29A2DFB', NULL, NULL, NULL, '24DAD1026EF3124837C849B06394792C', '50');
INSERT INTO `procurement_content` VALUES ('3E26DBC9CAD7266CC5CD930262E91F8E', 00000100, 'EC9357ED2463BB14C6EFE231436C218D', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 14:50:59.945000', '2023-04-13 14:50:59.945000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '9CB5A80D99E56B59BAE98A56BBF7BD8B', NULL, NULL, NULL, '2C0216F68C894E0E48104C925D34B1EE', '50');
INSERT INTO `procurement_content` VALUES ('1186049FA14AA71D1C8687B43F88E951', 00000200, 'EC9357ED2463BB14C6EFE231436C218D', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000500, 0000010.00, '2023-04-04 12:03:27.106000', '2023-04-04 12:03:27.106000', '1', '1', 'A6AEB6B6AAF14312C2B294770D37ACAD', NULL, NULL, NULL, '148E6D4A3BCA4CB4DC7ACFA366DF7AA9', NULL);
INSERT INTO `procurement_content` VALUES ('35FB49EE91DC432EEEFA1B2B0DC7DCEE', 00000050, 'EC9357ED2463BB14C6EFE231436C218D', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 18:14:09.136000', '2023-04-13 18:14:09.136000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'A9342C8057C8050B60050E35380CA302', NULL, NULL, NULL, '2C0216F68C894E0E48104C925D34B1EE', '50');
INSERT INTO `procurement_content` VALUES ('83DF5B0F6319ABC39E4BD884E9156978', 00000050, 'EC9357ED2463BB14C6EFE231436C218D', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 15:00:01.215000', '2023-04-13 15:00:01.215000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'AA4E1BE00F35EB5BDC981986685559E3', NULL, NULL, NULL, 'AA9CCB74376A1092BB59389647E98F04', '50');
INSERT INTO `procurement_content` VALUES ('2E4DD67D110280E46E6C95060BA66803', 00000100, 'EC9357ED2463BB14C6EFE231436C218D', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 15:21:41.401000', '2023-04-13 15:21:41.401000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'ABAE3695A9418D7DACC0338867A690DF', NULL, NULL, NULL, '148E6D4A3BCA4CB4DC7ACFA366DF7AA9', '50');
INSERT INTO `procurement_content` VALUES ('E881A4DA1EFFC236EE952E167742AC87', 00000100, 'FCD45169853216681393BA13B8056435', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 18:14:09.044000', '2023-04-13 18:14:09.044000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'C0F6BBAB898CB515AC600508BF643695', NULL, NULL, NULL, '1E0FC8DC26105AD990BDE1BE9FBB1B73', '50');
INSERT INTO `procurement_content` VALUES ('22021A71F1D775F08224187C4B0BF173', 00000050, 'EC9357ED2463BB14C6EFE231436C218D', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 17:48:36.969000', '2023-04-13 17:48:36.969000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'CD56F66B04995D7EB60DC758EF8E6ED5', NULL, NULL, NULL, '7193DFF678E9464C0FFF49AAEE78832E', '50');
INSERT INTO `procurement_content` VALUES ('0D9281BF30DC90244F74585BA1AB0222', 00000000, 'EC9357ED2463BB14C6EFE231436C218D', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 14:08:49.474000', '2023-04-13 14:08:49.474000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'CEC274EBDCDEA250FECD5C87926DC862', NULL, NULL, NULL, '53D5665F6ADBA8574FF4184A2F6ECCAA', '50');
INSERT INTO `procurement_content` VALUES ('0D9281BF30DC90244F74585BA1AB0222', 00000000, 'FCD45169853216681393BA13B8056435', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 14:08:49.475000', '2023-04-13 14:08:49.475000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'CEE59292E022A732CB495D366607690A', NULL, NULL, NULL, '6C16BDFB0CCC6D78E37E93458E74B6B2', '50');
INSERT INTO `procurement_content` VALUES ('7C4A3D83320F88126D0C772CFCCDBD6B', 00000000, 'EC9357ED2463BB14C6EFE231436C218D', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 14:07:35.250000', '2023-04-13 14:07:35.250000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'D524DA4EF44355D477DEB638E613079F', NULL, NULL, NULL, '53D5665F6ADBA8574FF4184A2F6ECCAA', '50');
INSERT INTO `procurement_content` VALUES ('FD9A91266737A4217997728B7153F3FC', 00000100, 'FCD45169853216681393BA13B8056435', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 17:59:33.369000', '2023-04-13 17:59:33.369000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'D91DA1A9E7B1C00DD0CA527BDF6AA033', NULL, NULL, NULL, '5E25FF2FDCF2446ECADECE3E8D5878F4', '50');
INSERT INTO `procurement_content` VALUES ('3AFF3B6404689230B31DE3FC151E22DB', 00000050, 'EC9357ED2463BB14C6EFE231436C218D', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 18:14:09.089000', '2023-04-13 18:14:09.089000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'E0ED24B045F5DE1FF954F656E65C3916', NULL, NULL, NULL, '2C0216F68C894E0E48104C925D34B1EE', '50');
INSERT INTO `procurement_content` VALUES ('5B9B525D83EA782B7191BBC8CD728476', 00000000, 'EC9357ED2463BB14C6EFE231436C218D', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 14:14:25.460000', '2023-04-13 14:14:25.460000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'E50A71E5B44CB226C737FDE9D411CCBD', NULL, NULL, NULL, '53D5665F6ADBA8574FF4184A2F6ECCAA', '50');
INSERT INTO `procurement_content` VALUES ('E881A4DA1EFFC236EE952E167742AC87', 00000050, 'EC9357ED2463BB14C6EFE231436C218D', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 18:14:09.045000', '2023-04-13 18:14:09.045000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'E70A4A2081D7779636D5A5F226144DC4', NULL, NULL, NULL, '2C0216F68C894E0E48104C925D34B1EE', '50');
INSERT INTO `procurement_content` VALUES ('3AFF3B6404689230B31DE3FC151E22DB', 00000100, 'FCD45169853216681393BA13B8056435', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 18:14:09.088000', '2023-04-13 18:14:09.088000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'E817E31EFADEDA2BF62A5B9CDA98C11C', NULL, NULL, NULL, '1E0FC8DC26105AD990BDE1BE9FBB1B73', '50');
INSERT INTO `procurement_content` VALUES ('1C92E78E88FA2AE4C3973A6D79B87B53', 00000110, 'FCD45169853216681393BA13B8056435', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000200, 0000020.00, '2023-04-11 17:26:11.609000', '2023-04-11 17:26:11.609000', '1', '1', 'F619073F9B0EB7D3D02F1C4EB4181543', NULL, NULL, NULL, '24DAD1026EF3124837C849B06394792C', NULL);
INSERT INTO `procurement_content` VALUES ('22021A71F1D775F08224187C4B0BF173', 00000100, 'FCD45169853216681393BA13B8056435', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000214950, 0004299.00, '2023-04-13 17:48:36.968000', '2023-04-13 17:48:36.968000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'F707B6D02974D8DF4ED97526C268BC4E', NULL, NULL, NULL, '4899DA95368AAC007EC4BB30E39C5A30', '50');

-- ----------------------------
-- Table structure for provide_services_or_supplies
-- ----------------------------
DROP TABLE IF EXISTS `provide_services_or_supplies`;
CREATE TABLE `provide_services_or_supplies`  (
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `evaluation_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(服务商/供应商评价表ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `provide_services_or_supplies_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`provide_services_or_supplies_id`) USING BTREE,
  INDEX `IXFK_provide_services_or_supplies_evaluation_form`(`evaluation_form_id`) USING BTREE,
  CONSTRAINT `FK_provide_services_or_supplies_evaluation_form` FOREIGN KEY (`evaluation_form_id`) REFERENCES `evaluation_form` (`evaluation_form_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '提供服务或供应品' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of provide_services_or_supplies
-- ----------------------------
INSERT INTO `provide_services_or_supplies` VALUES ('1', 'BF25138DF5339B72ECC9772B59C959EB', '2023-03-21 10:28:29.376000', '2023-03-21 10:28:29.376000', '1', '1', '097EFD7664C55233EFDD644694F18149');
INSERT INTO `provide_services_or_supplies` VALUES ('1', 'BF25138DF5339B72ECC9772B59C959EB', '2023-03-21 10:28:29.377000', '2023-03-21 10:28:29.377000', '1', '1', '6CFF40B81E8E2CCC1D8620602360B505');
INSERT INTO `provide_services_or_supplies` VALUES ('2', 'BF25138DF5339B72ECC9772B59C959EB', '2023-03-21 10:28:29.377000', '2023-03-21 10:28:29.377000', '1', '1', 'EBF5A395A95E6E8782E2D1A8F3CBF9A9');

-- ----------------------------
-- Table structure for purchase_catalogue
-- ----------------------------
DROP TABLE IF EXISTS `purchase_catalogue`;
CREATE TABLE `purchase_catalogue`  (
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见\r\n',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核意见',
  `audit_result_of_primary` tinyint(255) NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_result_of_secondary` tinyint(255) NULL DEFAULT NULL COMMENT '二级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `audit_time_of_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级审核时间',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人',
  `release_date` datetime(6) NULL DEFAULT NULL COMMENT '发布日期',
  `status` int(255) NULL DEFAULT NULL COMMENT '(状态)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人ID',
  `purchase_catalogue_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`purchase_catalogue_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购目录)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of purchase_catalogue
-- ----------------------------
INSERT INTO `purchase_catalogue` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2023-04-13 14:57:27.935000', '2023-04-13 14:57:27.935000', '1', '1', NULL, '06B953A19BE3B75DBD606DB945BCB1FD', NULL);
INSERT INTO `purchase_catalogue` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, '2023-04-13 15:05:57.101000', '2023-04-13 15:06:19.462000', '1', '1', NULL, '06D5C85429D81343D2E73D6A13396F45', NULL);
INSERT INTO `purchase_catalogue` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2023-04-13 17:21:07.646000', '2023-04-13 17:21:07.646000', '1', '1', NULL, '143F5B5D8FFB398F443A72585BB5FA1D', NULL);
INSERT INTO `purchase_catalogue` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2023-04-13 17:22:07.392000', '2023-04-13 17:22:07.392000', '1', '1', NULL, '69ED43C3B4944220EEA2EB81A9411030', NULL);
INSERT INTO `purchase_catalogue` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, '2023-04-13 14:52:00.800000', '2023-04-13 14:52:00.820000', '1', '1', NULL, '79D010ECD14CAC5E497A13BA54366A1B', NULL);
INSERT INTO `purchase_catalogue` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2023-04-13 17:24:50.107000', '2023-04-13 17:24:50.107000', '1', '1', NULL, '91B87005BF63313F7B2323F2A37EFCEB', NULL);
INSERT INTO `purchase_catalogue` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2023-04-13 17:21:21.019000', '2023-04-13 17:21:21.019000', '1', '1', NULL, 'A92657803C435304FA7D41DA3275BD90', NULL);
INSERT INTO `purchase_catalogue` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2023-04-13 17:21:18.619000', '2023-04-13 17:21:18.619000', '1', '1', NULL, 'BF03D9EEB18807572C089B2CED8CDFA0', NULL);
INSERT INTO `purchase_catalogue` VALUES ('审核通过', '审核通过', 1, 1, '2023-03-31 15:10:56.958000', '2023-03-31 14:54:04.657000', '1', NULL, 1, '2023-03-31 14:44:18.250000', '2023-04-13 14:51:21.796000', '1', '1', '1', 'DAA3FB2E946610020F5A222F32E34E7F', NULL);
INSERT INTO `purchase_catalogue` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 4, '2023-04-12 11:21:32.734000', '2023-04-12 11:21:32.734000', '1', '1', NULL, 'E658078B412AB8B86512B731DC9ABD99', NULL);
INSERT INTO `purchase_catalogue` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 4, '2023-04-12 11:21:16.384000', '2023-04-12 11:21:16.384000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, 'F3A8555DF4009C7445043A13B1C1CA4B', NULL);

-- ----------------------------
-- Table structure for purchase_list
-- ----------------------------
DROP TABLE IF EXISTS `purchase_list`;
CREATE TABLE `purchase_list`  (
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '清单名称',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `purchase_list_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`purchase_list_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购清单)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of purchase_list
-- ----------------------------
INSERT INTO `purchase_list` VALUES ('2023-03-20采购清单', '2023-03-20 11:06:29.489000', '2023-03-20 11:06:29.489000', '1', '1', '28B56107FC4D5BBCC8B485A728216DBB', NULL);
INSERT INTO `purchase_list` VALUES ('2023-03-22采购清单', '2023-03-22 09:57:59.087000', '2023-03-22 09:57:59.087000', '1', '1', '2AF4FD700A7534084C32975668EEF924', NULL);
INSERT INTO `purchase_list` VALUES ('2023-04-04采购清单', '2023-04-04 16:34:32.781000', '2023-04-04 16:34:32.781000', '1', '1', '6137CEA303DD6CEA255D7438E12FC600', NULL);

-- ----------------------------
-- Table structure for purchase_list_details
-- ----------------------------
DROP TABLE IF EXISTS `purchase_list_details`;
CREATE TABLE `purchase_list_details`  (
  `purchase_list_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购清单ID)·',
  `purchase_quantity` int(11) NULL DEFAULT NULL COMMENT '(采购量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `purchaselist_details_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`purchaselist_details_id`) USING BTREE,
  INDEX `IXFK_purchaselist_details_purchase_list`(`purchase_list_id`) USING BTREE,
  CONSTRAINT `FK_purchaselist_details_purchase_list` FOREIGN KEY (`purchase_list_id`) REFERENCES `purchase_list` (`purchase_list_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购清单明细)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of purchase_list_details
-- ----------------------------
INSERT INTO `purchase_list_details` VALUES ('28B56107FC4D5BBCC8B485A728216DBB', 99, '1', '无', '1', '2023-03-20 11:06:29.523000', '2023-03-20 11:06:29.523000', '1', '1', '00F1C706F8B1AF46DBF33C51236A79A6');
INSERT INTO `purchase_list_details` VALUES ('28B56107FC4D5BBCC8B485A728216DBB', 99, '2', '无', '1', '2023-03-20 11:06:29.522000', '2023-03-20 11:06:29.522000', '1', '1', '100D5C9358B57F9F9921123E10F95867');
INSERT INTO `purchase_list_details` VALUES ('6137CEA303DD6CEA255D7438E12FC600', 50, '942B1DF7A794395171D3175270A46464', NULL, '72E82118AA58CFE3EB4D400C253F512E', '2023-04-04 16:34:32.791000', '2023-04-04 16:34:32.791000', '1', '1', '305140CA8CA1986BFDC854FEA1C6F4C4');
INSERT INTO `purchase_list_details` VALUES ('2AF4FD700A7534084C32975668EEF924', 10, '1', '第一次测试', '1', '2023-03-22 09:57:59.097000', '2023-03-22 09:57:59.097000', '1', '1', '4AA790C8EE4AE9B31BD08CF1250663E7');
INSERT INTO `purchase_list_details` VALUES ('28B56107FC4D5BBCC8B485A728216DBB', 99, '1', '无', '1', '2023-03-20 11:06:29.521000', '2023-03-20 11:06:29.521000', '1', '1', '81E6950F875078CBF6AFCB76F99DF55D');
INSERT INTO `purchase_list_details` VALUES ('2AF4FD700A7534084C32975668EEF924', 30, '2', '第三次测试', '1', '2023-03-22 09:57:59.099000', '2023-03-22 09:57:59.099000', '1', '1', 'CC571698845DAFDBB9E8607D8A1D116D');
INSERT INTO `purchase_list_details` VALUES ('6137CEA303DD6CEA255D7438E12FC600', 10, 'EC9357ED2463BB14C6EFE231436C218D', NULL, '1', '2023-04-04 16:34:32.793000', '2023-04-04 16:34:32.793000', '1', '1', 'D44B3A88EC7D4E2D8CAA7DF777BA90EE');
INSERT INTO `purchase_list_details` VALUES ('2AF4FD700A7534084C32975668EEF924', 20, '1', '第二次测试', '1', '2023-03-22 09:57:59.098000', '2023-03-22 09:57:59.098000', '1', '1', 'D76761B4CF062509DAF2B46EA44BB4E7');

-- ----------------------------
-- Table structure for purchasing_plan
-- ----------------------------
DROP TABLE IF EXISTS `purchasing_plan`;
CREATE TABLE `purchasing_plan`  (
  `appropriation_budget` double(255, 0) NULL DEFAULT NULL COMMENT '(经费预算)',
  `approval_opinion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批意见',
  `approval_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批结果',
  `approval_time` datetime(6) NULL DEFAULT NULL COMMENT '审批时间',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见',
  `audit_result_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `approver_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `purchase_list_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购清单ID)',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID',
  `release_date` datetime(6) NULL DEFAULT NULL COMMENT '发布日期',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `purchasing_plan_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `create_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '制定人\r\n',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `org_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`purchasing_plan_id`) USING BTREE,
  INDEX `IXFK_purchasing_plan_purchase_list`(`purchase_list_id`) USING BTREE,
  CONSTRAINT `FK_purchasing_plan_purchase_list` FOREIGN KEY (`purchase_list_id`) REFERENCES `purchase_list` (`purchase_list_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购计划)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of purchasing_plan
-- ----------------------------
INSERT INTO `purchasing_plan` VALUES (429900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-13 14:08:49.473000', '2023-04-13 14:08:49.473000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, NULL, 0, '0D9281BF30DC90244F74585BA1AB0222', 'C27B8F582693B93596C21C1586A0845A', NULL, '国家毒品实验室陕西分中心', '审核员2');
INSERT INTO `purchasing_plan` VALUES (2000, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-04 12:03:27.097000', '2023-04-04 14:53:51.280000', '1', '1', NULL, NULL, NULL, 0, '1186049FA14AA71D1C8687B43F88E951', '1', NULL, NULL, NULL);
INSERT INTO `purchasing_plan` VALUES (4200, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-11 17:26:11.600000', '2023-04-11 17:26:11.600000', '1', '1', NULL, NULL, NULL, 0, '1C92E78E88FA2AE4C3973A6D79B87B53', '1', NULL, NULL, NULL);
INSERT INTO `purchasing_plan` VALUES (429900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-13 15:11:42.801000', '2023-04-13 15:11:42.801000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, NULL, 0, '218FA81C133EE8C452A162F93ABFDFBA', 'C27B8F582693B93596C21C1586A0845A', NULL, '国家毒品实验室陕西分中心', '审核员2');
INSERT INTO `purchasing_plan` VALUES (429900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-13 17:48:36.962000', '2023-04-13 17:48:36.962000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, NULL, 0, '22021A71F1D775F08224187C4B0BF173', 'C27B8F582693B93596C21C1586A0845A', NULL, '国家毒品实验室陕西分中心', '审核员2');
INSERT INTO `purchasing_plan` VALUES (429900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-13 15:21:41.397000', '2023-04-13 15:21:41.397000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, NULL, 0, '2E4DD67D110280E46E6C95060BA66803', 'C27B8F582693B93596C21C1586A0845A', NULL, '国家毒品实验室陕西分中心', '审核员2');
INSERT INTO `purchasing_plan` VALUES (429900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-13 18:14:09.129000', '2023-04-13 18:14:09.129000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, NULL, 0, '35FB49EE91DC432EEEFA1B2B0DC7DCEE', 'C27B8F582693B93596C21C1586A0845A', NULL, '国家毒品实验室陕西分中心', '审核员2');
INSERT INTO `purchasing_plan` VALUES (429900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-13 18:14:09.087000', '2023-04-13 18:14:09.087000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, NULL, 0, '3AFF3B6404689230B31DE3FC151E22DB', 'C27B8F582693B93596C21C1586A0845A', NULL, '国家毒品实验室陕西分中心', '审核员2');
INSERT INTO `purchasing_plan` VALUES (429900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-13 14:50:59.944000', '2023-04-13 14:50:59.944000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, NULL, 0, '3E26DBC9CAD7266CC5CD930262E91F8E', 'C27B8F582693B93596C21C1586A0845A', NULL, '国家毒品实验室陕西分中心', '审核员2');
INSERT INTO `purchasing_plan` VALUES (429900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-13 14:27:26.769000', '2023-04-13 14:27:26.769000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, NULL, 0, '54614419E9CBCF32963883420CD49D43', 'C27B8F582693B93596C21C1586A0845A', NULL, '国家毒品实验室陕西分中心', '审核员2');
INSERT INTO `purchasing_plan` VALUES (429900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-13 14:14:25.454000', '2023-04-13 14:14:25.454000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, NULL, 0, '5B9B525D83EA782B7191BBC8CD728476', 'C27B8F582693B93596C21C1586A0845A', NULL, '国家毒品实验室陕西分中心', '审核员2');
INSERT INTO `purchasing_plan` VALUES (429900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-13 14:37:06.872000', '2023-04-13 14:37:06.872000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, NULL, 0, '7309AB4FD7EEC9794E2FD45546363B83', 'C27B8F582693B93596C21C1586A0845A', NULL, '国家毒品实验室陕西分中心', '审核员2');
INSERT INTO `purchasing_plan` VALUES (429900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-13 14:07:35.249000', '2023-04-13 14:07:35.249000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, NULL, 0, '7C4A3D83320F88126D0C772CFCCDBD6B', 'C27B8F582693B93596C21C1586A0845A', NULL, '国家毒品实验室陕西分中心', '审核员2');
INSERT INTO `purchasing_plan` VALUES (429900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-13 15:00:01.214000', '2023-04-13 15:00:01.214000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, NULL, 0, '83DF5B0F6319ABC39E4BD884E9156978', 'C27B8F582693B93596C21C1586A0845A', NULL, '国家毒品实验室陕西分中心', '审核员2');
INSERT INTO `purchasing_plan` VALUES (429900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-13 15:13:47.091000', '2023-04-13 15:13:47.091000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, NULL, 0, 'B63B2ECAA27B8A0F97488CD327371721', 'C27B8F582693B93596C21C1586A0845A', NULL, '国家毒品实验室陕西分中心', '审核员2');
INSERT INTO `purchasing_plan` VALUES (429900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-13 15:09:52.283000', '2023-04-13 15:09:52.283000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, NULL, 0, 'C82AAC491385E9EE5E741337B2F8B2AB', 'C27B8F582693B93596C21C1586A0845A', NULL, '国家毒品实验室陕西分中心', '审核员2');
INSERT INTO `purchasing_plan` VALUES (429900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-13 18:14:09.037000', '2023-04-13 18:14:09.037000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, NULL, 0, 'E881A4DA1EFFC236EE952E167742AC87', 'C27B8F582693B93596C21C1586A0845A', NULL, '国家毒品实验室陕西分中心', '审核员2');
INSERT INTO `purchasing_plan` VALUES (429900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-04-13 17:59:33.362000', '2023-04-13 17:59:33.362000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, NULL, 0, 'FD9A91266737A4217997728B7153F3FC', 'C27B8F582693B93596C21C1586A0845A', NULL, '国家毒品实验室陕西分中心', '审核员2');

-- ----------------------------
-- Table structure for reagent_consumable_inventory
-- ----------------------------
DROP TABLE IF EXISTS `reagent_consumable_inventory`;
CREATE TABLE `reagent_consumable_inventory`  (
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌)',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(类别)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `instruction_book_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(指导书ID)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材id',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术参数)',
  `total_quantity` int(55) NOT NULL COMMENT '(总数量)',
  `reagent_consumable_inventory_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '种类\r\n',
  `packaged_copies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `lattice_Id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`reagent_consumable_inventory_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '试剂耗材库存' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of reagent_consumable_inventory
-- ----------------------------
INSERT INTO `reagent_consumable_inventory` VALUES ('华为', '标准物质', '1.2', NULL, 'EC9357ED2463BB14C6EFE231436C218D', '固体', '2023-03-31 14:44:18.252000', '2023-04-06 14:46:15.637000', '1', '1', '70%', NULL, 50, 'D115879CEE645E5FF1522B473CCDBAC8', '一般标准物质', '50', NULL);
INSERT INTO `reagent_consumable_inventory` VALUES ('华为', '标准物质', '1.2', NULL, '942B1DF7A794395171D3175270A46464', '固体', '2023-03-31 14:44:18.254000', '2023-04-07 17:14:55.218000', '1', '1', '70%', NULL, 199, 'E26E35A8363EA106453A87AF223A211B', '一般标准物质', '50', NULL);

-- ----------------------------
-- Table structure for reagent_consumables
-- ----------------------------
DROP TABLE IF EXISTS `reagent_consumables`;
CREATE TABLE `reagent_consumables`  (
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '品牌',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '类别',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '种类',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术参数)',
  `unit_price` double(10, 2) NULL DEFAULT NULL COMMENT '单价',
  `reagent_consumable_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `packaged_copies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`reagent_consumable_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材类)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of reagent_consumables
-- ----------------------------
INSERT INTO `reagent_consumables` VALUES ('三星', '标准物质', '1.2', '一般标准物质', '固体', '2023-04-06 16:57:40.215000', '2023-04-06 16:57:40.215000', '1', '1', '70%', NULL, 4299.00, '214ed66de23e1f9cf495ea28f4b00b7f', 'HW', '50', '鸦片', 'K粉', '冷藏存储', '白色粉末', '盒', NULL);
INSERT INTO `reagent_consumables` VALUES ('小米', '标准物质', '1.2', '一般标准物质', '固体', '2023-04-06 16:57:40.213000', '2023-04-06 16:57:40.213000', '1', '1', '70%', NULL, 4299.00, '233ace392b1a111a5a4b91191cb24811', 'HW', '50', '大麻', 'K粉', '冷藏存储', '白色粉末', '盒', NULL);
INSERT INTO `reagent_consumables` VALUES ('苹果', '标准物质', '1.2', '一般标准物质', '固体', '2023-04-06 16:57:40.216000', '2023-04-06 16:57:40.216000', '1', '1', '70%', NULL, 4299.00, '34ef0c4eb51bf9d925ea581e96fd2349', 'HW', '50', '摇头丸', 'K粉', '冷藏存储', '白色粉末', '盒', NULL);
INSERT INTO `reagent_consumables` VALUES ('华为', '标准物质', '1.2', '一般标准物质', '固体', '2023-03-31 14:44:18.254000', '2023-03-31 14:54:04.668000', '1', '1', '70%', NULL, 4299.00, '942B1DF7A794395171D3175270A46464', 'HW', '50', '海洛因3', 'K粉', '冷藏存储', '白色粉末', '盒', NULL);
INSERT INTO `reagent_consumables` VALUES ('华为', '标准物质', '1.2', '一般标准物质', '固体', '2023-03-31 14:44:18.252000', '2023-03-31 14:54:04.661000', '1', '1', '70%', NULL, 4299.00, 'EC9357ED2463BB14C6EFE231436C218D', 'HW', '50', '海洛因2', 'K粉', '冷藏存储', '白色粉末', '盒', NULL);
INSERT INTO `reagent_consumables` VALUES ('华为', '标准物质', '1.2', '一般标准物质', '固体', '2023-03-31 14:44:18.251000', '2023-03-31 14:54:04.665000', '1', '1', '70%', NULL, 4299.00, 'FCD45169853216681393BA13B8056435', 'HW', '50', '海洛因1', 'K粉', '冷藏存储', '白色粉末', '盒', NULL);

-- ----------------------------
-- Table structure for reagent_consumables_set
-- ----------------------------
DROP TABLE IF EXISTS `reagent_consumables_set`;
CREATE TABLE `reagent_consumables_set`  (
  `application_for_use_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材领用申请表ID)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `reagent_consumables_set_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `purpose` int(6) NULL DEFAULT NULL,
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`reagent_consumables_set_id`) USING BTREE,
  INDEX `IXFK_reagent_consumables_set_application_for_use`(`application_for_use_id`) USING BTREE,
  CONSTRAINT `FK_reagent_consumables_set_application_for_use` FOREIGN KEY (`application_for_use_id`) REFERENCES `application_for_use` (`application_for_use_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材集合)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of reagent_consumables_set
-- ----------------------------
INSERT INTO `reagent_consumables_set` VALUES ('CEFD859C6B7A997C4AE368794B5CD4DE', 99, '214ed66de23e1f9cf495ea28f4b00b7f', '2023-04-07 09:55:43.559000', '2023-04-07 09:55:43.559000', '1', '1', '2DE070EE50D70EF1D10FD51E897EFA2D', '固体', '测试2修改', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES ('711B265700D4896090B2120E4ED616B0', 909, '942B1DF7A794395171D3175270A46464', '2023-04-07 17:15:49.097000', '2023-04-07 17:15:49.097000', '1', '1', '4C9FFDE5F6F12705C64ED93148B3B083', '固体', '测试3', 1, NULL);
INSERT INTO `reagent_consumables_set` VALUES ('711B265700D4896090B2120E4ED616B0', 909, '214ed66de23e1f9cf495ea28f4b00b7f', '2023-04-07 17:15:49.096000', '2023-04-07 17:15:49.096000', '1', '1', '738ADAF5CB134F6613B360E9B2941448', '固体', '测试2', 1, NULL);
INSERT INTO `reagent_consumables_set` VALUES ('711B265700D4896090B2120E4ED616B0', 1000, '233ace392b1a111a5a4b91191cb24811', '2023-04-07 17:15:49.095000', '2023-04-07 17:15:49.095000', '1', '1', '8792BEB3532776AC4F8151C7A05FBE93', '固体', '测试1', 1, NULL);
INSERT INTO `reagent_consumables_set` VALUES ('DDDCBB10792A0FC114BEC5F98D52573F', 1000, '233ace392b1a111a5a4b91191cb24811', '2023-04-07 17:16:13.583000', '2023-04-07 17:16:13.583000', '1', '1', '99C241A35EB5AF46007F41241114C616', '固体', '测试1', 1, NULL);
INSERT INTO `reagent_consumables_set` VALUES ('CEFD859C6B7A997C4AE368794B5CD4DE', 99, '942B1DF7A794395171D3175270A46464', '2023-04-07 09:55:43.559000', '2023-04-07 09:55:43.559000', '1', '1', '9F571D19D9993B5D4A5EB024F11C5499', '固体', '测试3修改', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES ('CEFD859C6B7A997C4AE368794B5CD4DE', 50, '233ace392b1a111a5a4b91191cb24811', '2023-04-07 09:55:43.558000', '2023-04-07 09:55:43.558000', '1', '1', 'ABD5D39BC08FE49EE920EA4F7A4D8B59', '固体', '测试修改1', NULL, NULL);
INSERT INTO `reagent_consumables_set` VALUES ('DDDCBB10792A0FC114BEC5F98D52573F', 909, '214ed66de23e1f9cf495ea28f4b00b7f', '2023-04-07 17:16:13.583000', '2023-04-07 17:16:13.583000', '1', '1', 'CB6CF71F8C8256BB538C2C2F7B524CDD', '固体', '测试2', 1, NULL);
INSERT INTO `reagent_consumables_set` VALUES ('DDDCBB10792A0FC114BEC5F98D52573F', 909, '942B1DF7A794395171D3175270A46464', '2023-04-07 17:16:13.584000', '2023-04-07 17:16:13.584000', '1', '1', 'D1C2FF3CD10E48991FCE01DCA86C038C', '固体', '测试3', 1, NULL);

-- ----------------------------
-- Table structure for reference_material
-- ----------------------------
DROP TABLE IF EXISTS `reference_material`;
CREATE TABLE `reference_material`  (
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` int(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of reference_material
-- ----------------------------
INSERT INTO `reference_material` VALUES ('HW-2023-1-18', '942B1DF7A794395171D3175270A46464', '9E911E8369580395CF7D1E5DE0FF8C65', '008981ED66F06678DD4C1CB16F363250', '2023-04-06 09:56:59.440000', '2023-04-06 09:56:59.440000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-67', 'EC9357ED2463BB14C6EFE231436C218D', '586A6FA3983E1E6E6ACFBD2F0007FF93', '04CD87C8E4107C78AE46E69C20BDD491', '2023-04-06 14:45:40.379000', '2023-04-06 14:45:40.379000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-76', 'EC9357ED2463BB14C6EFE231436C218D', 'C75D289FAC0617D0A67A1993BB5D80B1', '058872F0C046F93068598BF196DC94CB', '2023-04-06 14:46:15.621000', '2023-04-06 14:46:15.621000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-17', '942B1DF7A794395171D3175270A46464', '9E911E8369580395CF7D1E5DE0FF8C65', '08A60FBE835BE374D517C7203047FA88', '2023-04-06 09:56:59.436000', '2023-04-06 09:56:59.436000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-69', 'EC9357ED2463BB14C6EFE231436C218D', '586A6FA3983E1E6E6ACFBD2F0007FF93', '0D83F4E57DDB1B82C33C89CB69FD2AFC', '2023-04-06 14:45:40.385000', '2023-04-06 14:45:40.385000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-41', '942B1DF7A794395171D3175270A46464', '60B967C0FC46C0A87939D3ABC0081BDC', '0F982D5BC2AE794A41169A2488D713CD', '2023-04-06 09:58:15.923000', '2023-04-06 09:58:15.923000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-50', '942B1DF7A794395171D3175270A46464', '2FDCE43E87FF0B6EF61FEE9B897172C4', '1193AB8DE031C8C70454E24F0B6AC20C', '2023-04-06 09:59:58.127000', '2023-04-06 09:59:58.127000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-35', '942B1DF7A794395171D3175270A46464', '0327F27E0974803039C0DA83FCB0F1D9', '14B2E0E7A16F85AF23325272F277A76C', '2023-04-06 09:57:37.754000', '2023-04-06 09:57:37.754000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-13', '942B1DF7A794395171D3175270A46464', 'A382E16A1B91A9E374B3A447C1D1C4A5', '17717530B58EF25A3AD19831DCB5BE9C', '2023-04-06 09:54:48.912000', '2023-04-06 09:54:48.912000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-72', 'EC9357ED2463BB14C6EFE231436C218D', 'C75D289FAC0617D0A67A1993BB5D80B1', '1777F61EF857C876B13EE82F96EED7F9', '2023-04-06 14:46:15.603000', '2023-04-06 14:46:15.603000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-55', 'EC9357ED2463BB14C6EFE231436C218D', '009BF6D5226B4C67CAEFFAAADA635BAF', '1A6F06FD354EA2BF4FC8BB99FCBC4B24', '2023-04-06 14:43:42.242000', '2023-04-06 14:43:42.242000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-05', '942B1DF7A794395171D3175270A46464', '96A6656686A216B359B8CB5D9583D7FF', '1ADC18D2FA3B1AA081A77C836B202BAE', '2023-04-06 09:47:34.177000', '2023-04-06 09:47:34.177000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-28', '942B1DF7A794395171D3175270A46464', '0327F27E0974803039C0DA83FCB0F1D9', '1E5B7A0A5B74F0B7973C567F8EFE8D65', '2023-04-06 09:57:37.734000', '2023-04-06 09:57:37.734000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-23', '942B1DF7A794395171D3175270A46464', '9E911E8369580395CF7D1E5DE0FF8C65', '1F7E2960713857D7D5320CE3A7FAE42F', '2023-04-06 09:56:59.456000', '2023-04-06 09:56:59.456000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-36', '942B1DF7A794395171D3175270A46464', '60B967C0FC46C0A87939D3ABC0081BDC', '213936A80FD3C95DBA6297CE745FBD74', '2023-04-06 09:58:15.754000', '2023-04-06 09:58:15.754000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-37', '942B1DF7A794395171D3175270A46464', '60B967C0FC46C0A87939D3ABC0081BDC', '25076ACD116C58694CF01CD259BB1377', '2023-04-06 09:58:15.762000', '2023-04-06 09:58:15.762000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-10', '942B1DF7A794395171D3175270A46464', 'A382E16A1B91A9E374B3A447C1D1C4A5', '2D1ADD9DCB27431D12C7760BDD67998E', '2023-04-06 09:54:48.901000', '2023-04-06 09:54:48.901000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-29', '942B1DF7A794395171D3175270A46464', '0327F27E0974803039C0DA83FCB0F1D9', '2E945ADDC3C781597845452D0B5240AD', '2023-04-06 09:57:37.737000', '2023-04-06 09:57:37.737000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-14', '942B1DF7A794395171D3175270A46464', 'A382E16A1B91A9E374B3A447C1D1C4A5', '32CBF7EA19F5F5AFE9F3188812926609', '2023-04-06 09:54:48.916000', '2023-04-06 09:54:48.916000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-74', 'EC9357ED2463BB14C6EFE231436C218D', 'C75D289FAC0617D0A67A1993BB5D80B1', '3369E244FFD8150DD57B3005B4A4AD21', '2023-04-06 14:46:15.613000', '2023-04-06 14:46:15.613000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-62', 'EC9357ED2463BB14C6EFE231436C218D', '586A6FA3983E1E6E6ACFBD2F0007FF93', '34385619E47451164BB5DA9925C4F32F', '2023-04-06 14:45:40.362000', '2023-04-06 14:45:40.362000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-71', 'EC9357ED2463BB14C6EFE231436C218D', 'C75D289FAC0617D0A67A1993BB5D80B1', '3515B7012B4E6CF5A686009492971623', '2023-04-06 14:46:15.594000', '2023-04-06 14:46:15.594000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-38', '942B1DF7A794395171D3175270A46464', '60B967C0FC46C0A87939D3ABC0081BDC', '3BCF6E68769AD4439CFB852ABE2D71BC', '2023-04-06 09:58:15.767000', '2023-04-06 09:58:15.767000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-44', '942B1DF7A794395171D3175270A46464', '60B967C0FC46C0A87939D3ABC0081BDC', '3D2D0C619BA61F31582C52A091D63B1B', '2023-04-06 09:58:15.934000', '2023-04-06 09:58:15.934000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-31', '942B1DF7A794395171D3175270A46464', '0327F27E0974803039C0DA83FCB0F1D9', '43EA5305A1EBC692F7417885EE9F1700', '2023-04-06 09:57:37.743000', '2023-04-06 09:57:37.743000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-58', 'EC9357ED2463BB14C6EFE231436C218D', '009BF6D5226B4C67CAEFFAAADA635BAF', '488DE1BD602DDAA24B9BF3268CBB91BB', '2023-04-06 14:43:42.252000', '2023-04-06 14:43:42.252000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-75', 'EC9357ED2463BB14C6EFE231436C218D', 'C75D289FAC0617D0A67A1993BB5D80B1', '51C62772F142C0E6EFF6687D9AFAB2B1', '2023-04-06 14:46:15.618000', '2023-04-06 14:46:15.618000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-48', '942B1DF7A794395171D3175270A46464', '2FDCE43E87FF0B6EF61FEE9B897172C4', '588C950825EFA0DB245F995B67DE651C', '2023-04-06 09:59:58.122000', '2023-04-06 09:59:58.122000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-47', '942B1DF7A794395171D3175270A46464', '2FDCE43E87FF0B6EF61FEE9B897172C4', '5EEDD9404070D9A5942B4918285B4814', '2023-04-06 09:59:58.119000', '2023-04-06 09:59:58.119000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-19', '942B1DF7A794395171D3175270A46464', '9E911E8369580395CF7D1E5DE0FF8C65', '60F0B0212212450325A5992B120B1D2B', '2023-04-06 09:56:59.443000', '2023-04-06 09:56:59.443000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-07', '942B1DF7A794395171D3175270A46464', 'A382E16A1B91A9E374B3A447C1D1C4A5', '61299E979604E61EF7B2CBAFC7569545', '2023-04-06 09:54:48.887000', '2023-04-06 09:54:48.887000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-68', 'EC9357ED2463BB14C6EFE231436C218D', '586A6FA3983E1E6E6ACFBD2F0007FF93', '61BE9434DB412AF8F90BD7E3CE954CC6', '2023-04-06 14:45:40.382000', '2023-04-06 14:45:40.382000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-64', 'EC9357ED2463BB14C6EFE231436C218D', '586A6FA3983E1E6E6ACFBD2F0007FF93', '62E3AC61632198B248454EDE0465AEEF', '2023-04-06 14:45:40.368000', '2023-04-06 14:45:40.368000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-33', '942B1DF7A794395171D3175270A46464', '0327F27E0974803039C0DA83FCB0F1D9', '62E678F0DFDC86B29B65626C4774F95B', '2023-04-06 09:57:37.749000', '2023-04-06 09:57:37.749000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-43', '942B1DF7A794395171D3175270A46464', '60B967C0FC46C0A87939D3ABC0081BDC', '6330609E9B1ED8C9A6A3182C789BE10C', '2023-04-06 09:58:15.930000', '2023-04-06 09:58:15.930000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-27', '942B1DF7A794395171D3175270A46464', '0327F27E0974803039C0DA83FCB0F1D9', '640879779A370CC16CB1770F2ACFD451', '2023-04-06 09:57:37.731000', '2023-04-06 09:57:37.731000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-09', '942B1DF7A794395171D3175270A46464', 'A382E16A1B91A9E374B3A447C1D1C4A5', '6630F003B476C5AE86E6473C9D917794', '2023-04-06 09:54:48.897000', '2023-04-06 09:54:48.897000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-06', '942B1DF7A794395171D3175270A46464', 'A382E16A1B91A9E374B3A447C1D1C4A5', '672F1597B34CD36AA8BF31D983986B04', '2023-04-06 09:54:48.880000', '2023-04-06 09:54:48.880000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-24', '942B1DF7A794395171D3175270A46464', '9E911E8369580395CF7D1E5DE0FF8C65', '6F28386F95417FE9663B0BA1858BFBCB', '2023-04-06 09:56:59.459000', '2023-04-06 09:56:59.459000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-20', '942B1DF7A794395171D3175270A46464', '9E911E8369580395CF7D1E5DE0FF8C65', '71DD356BC21BE826CFAAE6220A4CAD19', '2023-04-06 09:56:59.446000', '2023-04-06 09:56:59.446000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-15', '942B1DF7A794395171D3175270A46464', 'A382E16A1B91A9E374B3A447C1D1C4A5', '74A440BD88B2005900C31F67C5BB559D', '2023-04-06 09:54:48.920000', '2023-04-06 09:54:48.920000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-56', 'EC9357ED2463BB14C6EFE231436C218D', '009BF6D5226B4C67CAEFFAAADA635BAF', '75FA9C56F5BCE83810A3105676010F28', '2023-04-06 14:43:42.246000', '2023-04-06 14:43:42.246000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-53', 'EC9357ED2463BB14C6EFE231436C218D', '009BF6D5226B4C67CAEFFAAADA635BAF', '819491CE498565E50201E28916D222B1', '2023-04-06 14:43:42.233000', '2023-04-06 14:43:42.233000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-30', '942B1DF7A794395171D3175270A46464', '0327F27E0974803039C0DA83FCB0F1D9', '86619445BB1B8C3F438A1DD0E9D9AD23', '2023-04-06 09:57:37.740000', '2023-04-06 09:57:37.740000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-04', '942B1DF7A794395171D3175270A46464', '96A6656686A216B359B8CB5D9583D7FF', '88A1539C6129EEF17F164D32A18E5DCB', '2023-04-06 09:47:34.174000', '2023-04-06 09:47:34.174000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-22', '942B1DF7A794395171D3175270A46464', '9E911E8369580395CF7D1E5DE0FF8C65', '88FCF73F04A700BD40441C5B90B00032', '2023-04-06 09:56:59.453000', '2023-04-06 09:56:59.453000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-42', '942B1DF7A794395171D3175270A46464', '60B967C0FC46C0A87939D3ABC0081BDC', '8BE5E92ABD2377545F603E3BE5CC6876', '2023-04-06 09:58:15.926000', '2023-04-06 09:58:15.926000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-32', '942B1DF7A794395171D3175270A46464', '0327F27E0974803039C0DA83FCB0F1D9', '8C2FB5BAD78394332AFBC0354A7572E9', '2023-04-06 09:57:37.746000', '2023-04-06 09:57:37.746000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-26', '942B1DF7A794395171D3175270A46464', '0327F27E0974803039C0DA83FCB0F1D9', '909CA2DC81E917DAAC8EE48D0E081D08', '2023-04-06 09:57:37.728000', '2023-04-06 09:57:37.728000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-77', 'EC9357ED2463BB14C6EFE231436C218D', 'C75D289FAC0617D0A67A1993BB5D80B1', '9240EE3141A954D43F540AC96842BCAC', '2023-04-06 14:46:15.624000', '2023-04-06 14:46:15.624000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-39', '942B1DF7A794395171D3175270A46464', '60B967C0FC46C0A87939D3ABC0081BDC', '983599A16B8E1DE8732E0395D094997E', '2023-04-06 09:58:15.772000', '2023-04-06 09:58:15.772000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-54', 'EC9357ED2463BB14C6EFE231436C218D', '009BF6D5226B4C67CAEFFAAADA635BAF', 'ADC6AEE4EE2FCB95AAFC10DE4BE0955C', '2023-04-06 14:43:42.238000', '2023-04-06 14:43:42.238000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-61', 'EC9357ED2463BB14C6EFE231436C218D', '586A6FA3983E1E6E6ACFBD2F0007FF93', 'AFF2F1BAD7C6E09D852C8B794B4766ED', '2023-04-06 14:45:40.359000', '2023-04-06 14:45:40.359000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-34', '942B1DF7A794395171D3175270A46464', '0327F27E0974803039C0DA83FCB0F1D9', 'B0916EA90D33C737299504527F459165', '2023-04-06 09:57:37.752000', '2023-04-06 09:57:37.752000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-73', 'EC9357ED2463BB14C6EFE231436C218D', 'C75D289FAC0617D0A67A1993BB5D80B1', 'BBD369D01BDD79D11C8429EC4C4AC4FF', '2023-04-06 14:46:15.608000', '2023-04-06 14:46:15.608000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-02', '942B1DF7A794395171D3175270A46464', '96A6656686A216B359B8CB5D9583D7FF', 'BCDD027D5239637D90486DEC6FFD9A2C', '2023-04-06 09:47:34.166000', '2023-04-06 09:47:34.166000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-16', '942B1DF7A794395171D3175270A46464', '9E911E8369580395CF7D1E5DE0FF8C65', 'BD4497FF764EED19ABCA66270D5BC151', '2023-04-06 09:56:59.433000', '2023-04-06 09:56:59.433000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-08', '942B1DF7A794395171D3175270A46464', 'A382E16A1B91A9E374B3A447C1D1C4A5', 'BFD2CA5F8DE76442D50F88EF259BB76D', '2023-04-06 09:54:48.892000', '2023-04-06 09:54:48.892000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-46', '942B1DF7A794395171D3175270A46464', '2FDCE43E87FF0B6EF61FEE9B897172C4', 'C61C9D23F2B0B9010FD9336D31B9CFCA', '2023-04-06 09:59:58.116000', '2023-04-06 09:59:58.116000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-59', 'EC9357ED2463BB14C6EFE231436C218D', '009BF6D5226B4C67CAEFFAAADA635BAF', 'C640F31308390A88F4DF8AE023117D79', '2023-04-06 14:43:42.256000', '2023-04-06 14:43:42.256000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-45', '942B1DF7A794395171D3175270A46464', '60B967C0FC46C0A87939D3ABC0081BDC', 'CFC74E8FB4A20F71D248B241ADFDCAAA', '2023-04-06 09:58:15.937000', '2023-04-06 09:58:15.937000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-78', 'EC9357ED2463BB14C6EFE231436C218D', 'C75D289FAC0617D0A67A1993BB5D80B1', 'D0672255FF4F01B418E9B16E0F9120FC', '2023-04-06 14:46:15.628000', '2023-04-06 14:46:15.628000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-70', 'EC9357ED2463BB14C6EFE231436C218D', '586A6FA3983E1E6E6ACFBD2F0007FF93', 'D0FCEFB57BE175656D38461D2DF756E4', '2023-04-06 14:45:40.388000', '2023-04-06 14:45:40.388000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-52', 'EC9357ED2463BB14C6EFE231436C218D', '009BF6D5226B4C67CAEFFAAADA635BAF', 'D31D4A247D6D41C5AA0512438D8F7459', '2023-04-06 14:43:42.228000', '2023-04-06 14:43:42.228000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-11', '942B1DF7A794395171D3175270A46464', 'A382E16A1B91A9E374B3A447C1D1C4A5', 'D7707FA066462C5172131A1AA6E6DABC', '2023-04-06 09:54:48.905000', '2023-04-06 09:54:48.905000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-63', 'EC9357ED2463BB14C6EFE231436C218D', '586A6FA3983E1E6E6ACFBD2F0007FF93', 'D8DFA4D15A83421CCED74C7F6EC3E2D0', '2023-04-06 14:45:40.365000', '2023-04-06 14:45:40.365000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-80', 'EC9357ED2463BB14C6EFE231436C218D', 'C75D289FAC0617D0A67A1993BB5D80B1', 'E16A72F571BB36E6CF8A6A250749A689', '2023-04-06 14:46:15.635000', '2023-04-06 14:46:15.635000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-60', 'EC9357ED2463BB14C6EFE231436C218D', '009BF6D5226B4C67CAEFFAAADA635BAF', 'E2AAC34B1EC5B35617CC9CF48CB85AF3', '2023-04-06 14:43:42.259000', '2023-04-06 14:43:42.259000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-66', 'EC9357ED2463BB14C6EFE231436C218D', '586A6FA3983E1E6E6ACFBD2F0007FF93', 'E396C12CE342D6D9D7CC1A6AC87E205A', '2023-04-06 14:45:40.376000', '2023-04-06 14:45:40.376000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-57', 'EC9357ED2463BB14C6EFE231436C218D', '009BF6D5226B4C67CAEFFAAADA635BAF', 'E824EEEF072572C8F7BED918079B1F1E', '2023-04-06 14:43:42.250000', '2023-04-06 14:43:42.250000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-12', '942B1DF7A794395171D3175270A46464', 'A382E16A1B91A9E374B3A447C1D1C4A5', 'E876AEB8EE605613A5FF361CDB4FCFF0', '2023-04-06 09:54:48.909000', '2023-04-06 09:54:48.909000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-21', '942B1DF7A794395171D3175270A46464', '9E911E8369580395CF7D1E5DE0FF8C65', 'EB448EB656E5E02723112A84CB62AB6E', '2023-04-06 09:56:59.450000', '2023-04-06 09:56:59.450000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-25', '942B1DF7A794395171D3175270A46464', '9E911E8369580395CF7D1E5DE0FF8C65', 'ED1FBBEFCE4B4B26120125FD83B37A0F', '2023-04-06 09:56:59.462000', '2023-04-06 09:56:59.462000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-79', 'EC9357ED2463BB14C6EFE231436C218D', 'C75D289FAC0617D0A67A1993BB5D80B1', 'EDC9956CEC22582E6D423FBA0AB6B214', '2023-04-06 14:46:15.632000', '2023-04-06 14:46:15.632000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-51', 'EC9357ED2463BB14C6EFE231436C218D', '009BF6D5226B4C67CAEFFAAADA635BAF', 'F0EC53BDD54FCE1100442CDA06F50F7C', '2023-04-06 14:43:42.220000', '2023-04-06 14:43:42.220000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-40', '942B1DF7A794395171D3175270A46464', '60B967C0FC46C0A87939D3ABC0081BDC', 'F2E09893B0411F7B8CCFEB60B97F4899', '2023-04-06 09:58:15.777000', '2023-04-06 09:58:15.777000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-49', '942B1DF7A794395171D3175270A46464', '2FDCE43E87FF0B6EF61FEE9B897172C4', 'F311A7E9BDCF56626186300AA07ABBD9', '2023-04-06 09:59:58.125000', '2023-04-06 09:59:58.125000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-01', '942B1DF7A794395171D3175270A46464', '96A6656686A216B359B8CB5D9583D7FF', 'F3930D771BE0E8691E8D772000880E0E', '2023-04-06 09:47:34.159000', '2023-04-06 09:47:34.159000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-65', 'EC9357ED2463BB14C6EFE231436C218D', '586A6FA3983E1E6E6ACFBD2F0007FF93', 'F70759B6787790CB14972ABDF207C114', '2023-04-06 14:45:40.371000', '2023-04-06 14:45:40.371000', '1', '1', NULL);
INSERT INTO `reference_material` VALUES ('HW-2023-1-03', '942B1DF7A794395171D3175270A46464', '96A6656686A216B359B8CB5D9583D7FF', 'FF7C834AFF9BC48590793F569F417638', '2023-04-06 09:47:34.169000', '2023-04-06 09:47:34.169000', '1', '1', NULL);

-- ----------------------------
-- Table structure for requisition_record
-- ----------------------------
DROP TABLE IF EXISTS `requisition_record`;
CREATE TABLE `requisition_record`  (
  `date_of_claim` datetime(0) NULL DEFAULT NULL COMMENT '(领用日期)',
  `recipient_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(领用人)',
  `remarks` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `requisition_record_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `drawing_amount` int(8) NULL DEFAULT NULL,
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`requisition_record_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材领用记录表)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of requisition_record
-- ----------------------------

-- ----------------------------
-- Table structure for standard_material_application
-- ----------------------------
DROP TABLE IF EXISTS `standard_material_application`;
CREATE TABLE `standard_material_application`  (
  `administrator_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员ID)',
  `date_of_claim` datetime(6) NULL DEFAULT NULL COMMENT '(领用日期)',
  `date_of_return` datetime(6) NULL DEFAULT NULL COMMENT '(归还日期)',
  `purpose_and_quantity` double(6, 0) NULL DEFAULT NULL COMMENT '使用数量',
  `recipient_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(领用人ID)',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质编号)',
  `reference_substance_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `requisitioned_quantity` int(11) NULL DEFAULT NULL COMMENT '(领用数量)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `serial_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(序号)',
  `specification` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格)',
  `standard_material_application_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `delivery_registration_form_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `requisition_record_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `storage_registration_form_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `claim_code` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `purpose` int(6) NULL DEFAULT NULL,
  `number` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `application_for_use_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` int(3) NULL DEFAULT NULL,
  PRIMARY KEY (`standard_material_application_id`) USING BTREE,
  INDEX `IXFK_standard_material_application_delivery_registration_form`(`delivery_registration_form_id`) USING BTREE,
  INDEX `IXFK_standard_material_application_requisition_record`(`requisition_record_id`) USING BTREE,
  INDEX `IXFK_standard_material_application_storage_registration_form`(`storage_registration_form_id`) USING BTREE,
  CONSTRAINT `FK_standard_material_application_delivery_registration_form` FOREIGN KEY (`delivery_registration_form_id`) REFERENCES `delivery_registration_form` (`delivery_registration_form_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_standard_material_application_requisition_record` FOREIGN KEY (`requisition_record_id`) REFERENCES `requisition_record` (`requisition_record_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_standard_material_application_storage_registration_form` FOREIGN KEY (`storage_registration_form_id`) REFERENCES `storage_registration_form` (`storage_registration_form_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质领用/归还登记表)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of standard_material_application
-- ----------------------------
INSERT INTO `standard_material_application` VALUES (NULL, '2023-04-07 16:46:19.650000', '2023-04-07 17:14:55.216000', 0, '1', 'HW-2023-1-50', '942B1DF7A794395171D3175270A46464', 99, '2023-04-07 16:46:30.354000', '2023-04-07 17:14:55.224000', '1', '1', NULL, '固体', '1B730B57691272DD61C51D6EBF2F8A97', NULL, NULL, NULL, NULL, 0, NULL, 'CEFD859C6B7A997C4AE368794B5CD4DE', 1);
INSERT INTO `standard_material_application` VALUES (NULL, '2023-04-07 16:47:20.256000', NULL, NULL, '1', 'HW-2023-1-50', '942B1DF7A794395171D3175270A46464', 99, '2023-04-07 16:47:20.291000', '2023-04-07 16:47:20.291000', '1', '1', NULL, '固体', 'E6FE38073A150CCDFB2C2CA196273E04', NULL, NULL, NULL, NULL, 0, NULL, 'CEFD859C6B7A997C4AE368794B5CD4DE', 0);

-- ----------------------------
-- Table structure for standard_material_approval_form
-- ----------------------------
DROP TABLE IF EXISTS `standard_material_approval_form`;
CREATE TABLE `standard_material_approval_form`  (
  `agent_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(经办人)',
  `applicant_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人)',
  `application_time` datetime(6) NULL DEFAULT NULL COMMENT '(申请时间)',
  `opinion_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任审批意见)',
  `result_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任审批结果)',
  `approval_of_time` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任审批时间)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员审核意见)',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核意见)',
  `audit_result_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员审核结果)',
  `audit_result_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核结果)',
  `audit_time_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员审核时间)',
  `audit_time_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核时间)',
  `batch_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批号)',
  `commit_status` int(11) NULL DEFAULT NULL COMMENT '(提交状态)',
  `approver_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任id)',
  `fixed_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(定值结果)',
  `manufacturer_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(制造商)',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(编号)',
  `processing_time` datetime(6) NULL DEFAULT NULL COMMENT '(处理时间)',
  `purchase_time` datetime(6) NULL DEFAULT NULL COMMENT '(购置时间)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reason_for_application` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请原因)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质id)',
  `manager_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员ID)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `specification` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格)',
  `technical_director_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人id)',
  `standard_material_approval_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`standard_material_approval_form_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质停用/报废销毁/恢复/降级使用审批表)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of standard_material_approval_form
-- ----------------------------

-- ----------------------------
-- Table structure for standard_reserve_solution
-- ----------------------------
DROP TABLE IF EXISTS `standard_reserve_solution`;
CREATE TABLE `standard_reserve_solution`  (
  `configuration_concentration` double(10, 2) NULL DEFAULT NULL COMMENT '(配置浓度(mg/mL))',
  `configuration_date` datetime(0) NULL DEFAULT NULL COMMENT '(配置日期)',
  `constant_volume` double(10, 2) NULL DEFAULT NULL COMMENT '(定容体积（mL）)',
  `date_of_use` datetime(0) NULL DEFAULT NULL COMMENT '(使用日期)',
  `dispenser_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(配制人ID)',
  `orderofuse` int(11) NULL DEFAULT NULL COMMENT '(使用次序)',
  `quantity_used` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(使用数量（mL）)',
  `reference_material_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `reference_material_number` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质编号)',
  `reference_material_scale` double(10, 2) NULL DEFAULT NULL COMMENT '(标准物质称取量)',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `remarks` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `solution_name` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(溶液名称)',
  `solution_numbering` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(溶液编号)',
  `use_of_solvent` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(使用溶剂)',
  `user_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(使用人ID)',
  `validity_period` datetime(0) NULL DEFAULT NULL COMMENT '(有效期限)',
  `standard_reserve_solution_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`standard_reserve_solution_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准储备溶液配制及使用记录表)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of standard_reserve_solution
-- ----------------------------

-- ----------------------------
-- Table structure for standard_solution_curve
-- ----------------------------
DROP TABLE IF EXISTS `standard_solution_curve`;
CREATE TABLE `standard_solution_curve`  (
  `dispenser_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(配制人ID)',
  `serialn_number` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(序号)',
  `solution_name_` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(溶液名称)',
  `solution_concentration` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准储备溶液浓度)',
  `concentration_numbering` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准储备溶液浓度编号)',
  `step_solution_concentration` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(逐级溶液浓度)',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `configuration_date` datetime(0) NULL DEFAULT NULL COMMENT '(工作曲线溶液配置日期)',
  `standard_solution_curve_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `storage_registration_form_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`standard_solution_curve_id`) USING BTREE,
  INDEX `IXFK_standard_solution_curve_storage_registration_form`(`storage_registration_form_id`) USING BTREE,
  CONSTRAINT `FK_standard_solution_curve_storage_registration_form` FOREIGN KEY (`storage_registration_form_id`) REFERENCES `storage_registration_form` (`storage_registration_form_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准工作曲线溶液配置记录表)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of standard_solution_curve
-- ----------------------------

-- ----------------------------
-- Table structure for storage_registration_form
-- ----------------------------
DROP TABLE IF EXISTS `storage_registration_form`;
CREATE TABLE `storage_registration_form`  (
  `date_of_arrival` datetime(6) NULL DEFAULT NULL COMMENT '(入库日期)',
  `depositor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(入库人)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(55) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `reagent_consumable_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材编号)',
  `reagent_consumable_type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材类型)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `storage_life` datetime(6) NULL DEFAULT NULL COMMENT '(存储期限)',
  `storage_registration_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `warehousing_batch_list_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `lattice_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`storage_registration_form_id`) USING BTREE,
  INDEX `IXFK_storage_registration_form_signed_batch_list`(`warehousing_batch_list_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材入库登记表)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of storage_registration_form
-- ----------------------------
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 5, '942B1DF7A794395171D3175270A46464', NULL, NULL, NULL, '2023-04-06 09:47:34.128000', '2023-04-06 09:47:34.128000', '1', '1', NULL, '0D97B3B61D225A6D13DBD2A57B1746DD', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, '942B1DF7A794395171D3175270A46464', NULL, NULL, NULL, '2023-04-06 09:54:48.850000', '2023-04-06 09:54:48.850000', '1', '1', NULL, '3BC39DEBBAAC5E1DEEB71645E46E82FB', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'EC9357ED2463BB14C6EFE231436C218D', NULL, NULL, NULL, '2023-04-06 14:43:42.180000', '2023-04-06 14:43:42.180000', '1', '1', NULL, '3D6C7DA89A143E36F11B14716DBEC916', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'EC9357ED2463BB14C6EFE231436C218D', NULL, NULL, NULL, '2023-04-06 14:46:15.561000', '2023-04-06 14:46:15.561000', '1', '1', NULL, '4A8AFDC1F2F45D6338B99FFC08EC1593', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'EC9357ED2463BB14C6EFE231436C218D', NULL, NULL, NULL, '2023-04-06 14:45:40.353000', '2023-04-06 14:45:40.353000', '1', '1', NULL, '734B7F7F701E20E8F5F50458059A05B1', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 5, '942B1DF7A794395171D3175270A46464', NULL, NULL, NULL, '2023-04-06 09:59:58.109000', '2023-04-06 09:59:58.109000', '1', '1', NULL, '88C93586782BD982869ECF95A193B0E1', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, '942B1DF7A794395171D3175270A46464', NULL, NULL, NULL, '2023-04-06 09:56:59.426000', '2023-04-06 09:56:59.426000', '1', '1', NULL, '966CED58C26020D982E70DFCFC3DD890', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'EC9357ED2463BB14C6EFE231436C218D', NULL, NULL, NULL, '2023-04-06 10:24:38.678000', '2023-04-06 10:24:38.678000', '1', '1', NULL, 'B6358461B20F27E81524422D0A9D024B', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, '942B1DF7A794395171D3175270A46464', NULL, NULL, NULL, '2023-04-06 09:58:15.716000', '2023-04-06 09:58:15.716000', '1', '1', NULL, 'B93A3DF7C6DD1B29A946FD682C5390A9', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, '942B1DF7A794395171D3175270A46464', NULL, NULL, NULL, '2023-04-06 09:57:37.714000', '2023-04-06 09:57:37.714000', '1', '1', NULL, 'C3C3F8D0B3AB960735CA4BD233F0FB46', NULL, NULL);
INSERT INTO `storage_registration_form` VALUES (NULL, NULL, 10, 'EC9357ED2463BB14C6EFE231436C218D', NULL, NULL, NULL, '2023-04-06 14:23:58.941000', '2023-04-06 14:23:58.941000', '1', '1', NULL, 'DB303AD7C1CBD80031EF6FEF1A9F523A', NULL, NULL);

-- ----------------------------
-- Table structure for storage_room_form
-- ----------------------------
DROP TABLE IF EXISTS `storage_room_form`;
CREATE TABLE `storage_room_form`  (
  `type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `temperature` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `humidity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `picture` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `storage_room_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `floor` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`storage_room_form_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of storage_room_form
-- ----------------------------
INSERT INTO `storage_room_form` VALUES (NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for supplier_information
-- ----------------------------
DROP TABLE IF EXISTS `supplier_information`;
CREATE TABLE `supplier_information`  (
  `acceptable_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(合格状态)',
  `contact_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系人电话)',
  `contact_person_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系人名称)',
  `name_of_supplier` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人姓名)',
  `photograph_of_supplier` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人照片)路径',
  `qualification_document` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(资质文件)路径',
  `scope_of_supply` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应范围)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `supplier_coding` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商编码)',
  `supplier_id_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人身份证号)',
  `supplier_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商名称)',
  `supplier_telephone` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人电话)',
  `supplier_information_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `supplier_business_license` tinyint(1) NULL DEFAULT NULL COMMENT '(供应商营业执照)',
  `supplier_passes_quality_assurance_system` tinyint(1) NULL DEFAULT NULL COMMENT '(供应商通过质量保证体系)',
  `supplier_product_certification` tinyint(1) NULL DEFAULT NULL COMMENT '(供应商产品认证)',
  `check_and_calibrate_efficiency_of_supplies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应品检验校准效率)',
  `overall_supplier_service_satisfaction` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应商总体服务是否满意)',
  `supplier_attitude` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商态度)',
  `supplier_equipment_and_facilities` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商设备与设施)',
  `supplier_technology_and_management_capability` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商技术与管理能力)',
  `whether_the_supplier_delivers_on_time` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商交货是否及时)',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`supplier_information_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(服务商/供应商信息)' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of supplier_information
-- ----------------------------
INSERT INTO `supplier_information` VALUES ('合格', '19983828405', '王五', '张麻子', '111', '222', '标准物质-试剂耗材', '2023-03-20 14:22:54.922000', '2023-03-20 14:24:21.355000', '1', '1', '1155222', '522128111111111111', 'xxx供应商2', '13355556666', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `supplier_information` VALUES ('合格', '19983828405', '张三', '李四', '111', '222', '标准物质-试剂耗材', '2023-03-20 14:21:51.987000', '2023-03-20 14:21:51.987000', '1', '1', '1155222', '522128111111111111', 'xxx供应商', '13355556666', '72E82118AA58CFE3EB4D400C253F512E', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for warehousing_batch_list
-- ----------------------------
DROP TABLE IF EXISTS `warehousing_batch_list`;
CREATE TABLE `warehousing_batch_list`  (
  `batch` int(6) NULL DEFAULT NULL COMMENT '(批次)',
  `batch_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批号)',
  `date_of_production` datetime(6) NULL DEFAULT NULL COMMENT '(生产日期)',
  `date_of_receipt` datetime(6) NULL DEFAULT NULL COMMENT '签收日期',
  `expiration_date` datetime(6) NULL DEFAULT NULL COMMENT '(有效日期)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `warning_value` int(11) NULL DEFAULT NULL COMMENT '(预警值)',
  `warehousing_batch_list_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `depositor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '签收人\r\n',
  `warehousing_content_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `lattice_Id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`warehousing_batch_list_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '签收批次明细' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of warehousing_batch_list
-- ----------------------------
INSERT INTO `warehousing_batch_list` VALUES (4, '0001', '2023-03-14 22:01:01.000000', '2023-03-14 22:01:01.000000', '2023-03-14 22:01:01.000000', 10, '2023-04-06 09:57:37.714000', '2023-04-06 09:57:37.714000', '1', '1', '1', 3, '06B0E5E6AEE3B31F48034F794A044D47', '1', '98F258AFEBD230A531321C34474CAD47', '1');
INSERT INTO `warehousing_batch_list` VALUES (3, '0002', '2023-03-14 22:01:01.000000', '2023-03-14 22:01:01.000000', '2023-03-14 22:01:01.000000', 10, '2023-04-06 14:45:40.352000', '2023-04-06 14:45:40.352000', '1', '1', '1', 3, '0DA6FB1C11095EDFBDB36E86052FDDF8', '1', 'BFDBA62022C65DACB84925B4EB888F2A', '1');
INSERT INTO `warehousing_batch_list` VALUES (3, '0001', '2023-03-14 22:01:01.000000', '2023-03-14 22:01:01.000000', '2023-03-14 22:01:01.000000', 10, '2023-04-06 09:56:59.425000', '2023-04-06 09:56:59.425000', '1', '1', '1', 3, '1CD1E5954E063C49203B9DA3C659FEB0', '1', '98F258AFEBD230A531321C34474CAD47', '1');
INSERT INTO `warehousing_batch_list` VALUES (5, '0001', '2023-03-14 22:01:01.000000', '2023-03-14 22:01:01.000000', '2023-03-14 22:01:01.000000', 10, '2023-04-06 09:58:15.711000', '2023-04-06 09:58:15.711000', '1', '1', '1', 3, '217E1F076005D5E20C4C5F5008E7CD90', '1', '98F258AFEBD230A531321C34474CAD47', '1');
INSERT INTO `warehousing_batch_list` VALUES (6, '0001', '2023-03-14 22:01:01.000000', '2023-03-14 22:01:01.000000', '2023-03-14 22:01:01.000000', 5, '2023-04-06 09:59:58.108000', '2023-04-06 09:59:58.108000', '1', '1', '1', 3, '2E5A29282DDF86C1549FD0DC2409DCB1', '1', '98F258AFEBD230A531321C34474CAD47', '1');
INSERT INTO `warehousing_batch_list` VALUES (4, '0002', '2023-03-14 22:01:01.000000', '2023-03-14 22:01:01.000000', '2023-03-14 22:01:01.000000', 10, '2023-04-06 14:46:15.556000', '2023-04-06 14:46:15.556000', '1', '1', '1', 3, '48554274D853CD3DDF119C898C32FB14', '1', 'BFDBA62022C65DACB84925B4EB888F2A', '1');
INSERT INTO `warehousing_batch_list` VALUES (2, '0002', '2023-03-14 22:01:01.000000', '2023-03-14 22:01:01.000000', '2023-03-14 22:01:01.000000', 10, '2023-04-06 14:43:42.176000', '2023-04-06 14:43:42.176000', '1', '1', '1', 3, '636DEE0C0D4BC34466B5D60FA3AFC7C4', '1', 'BFDBA62022C65DACB84925B4EB888F2A', '1');
INSERT INTO `warehousing_batch_list` VALUES (1, '0001', '2023-03-14 22:01:01.000000', '2023-03-14 22:01:01.000000', '2023-03-14 22:01:01.000000', 5, '2023-04-06 09:47:34.124000', '2023-04-06 09:47:34.124000', '1', '1', '1', 3, '64E9D2943DCC3B41556A4EC7BB67A80E', '1', '98F258AFEBD230A531321C34474CAD47', '1');
INSERT INTO `warehousing_batch_list` VALUES (2, '0001', '2023-03-14 22:01:01.000000', '2023-03-14 22:01:01.000000', '2023-03-14 22:01:01.000000', 10, '2023-04-06 09:54:48.845000', '2023-04-06 09:54:48.845000', '1', '1', '1', 3, '855FB81D5AC74FD166A648A543EFC562', '1', '98F258AFEBD230A531321C34474CAD47', '1');
INSERT INTO `warehousing_batch_list` VALUES (1, '0002', '2023-03-14 22:01:01.000000', '2023-03-14 22:01:01.000000', '2023-03-14 22:01:01.000000', 10, '2023-04-06 14:23:58.937000', '2023-04-06 14:23:58.937000', '1', '1', '1', 3, 'CA9828D8BF2B7C140C73CC64211AD0DD', '1', 'BFDBA62022C65DACB84925B4EB888F2A', '1');

-- ----------------------------
-- Table structure for warehousing_content
-- ----------------------------
DROP TABLE IF EXISTS `warehousing_content`;
CREATE TABLE `warehousing_content`  (
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `total_quantity` int(6) NULL DEFAULT NULL,
  `warehousing_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `warehousing_quantity` int(6) NULL DEFAULT NULL,
  `catalogue_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `warehousing_record_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `acceptance_record_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`warehousing_content_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of warehousing_content
-- ----------------------------
INSERT INTO `warehousing_content` VALUES ('942B1DF7A794395171D3175270A46464', 50, '98F258AFEBD230A531321C34474CAD47', 50, NULL, '2023-04-04 16:34:32.808000', '2023-04-06 14:46:15.811000', '1', '1', 'EF6C732A804025FB1D2E8973632C452E', '936070F7CD0CAAA7001D7470292D94B4');
INSERT INTO `warehousing_content` VALUES ('EC9357ED2463BB14C6EFE231436C218D', 10, 'BFDBA62022C65DACB84925B4EB888F2A', 10, NULL, '2023-04-04 16:34:32.809000', '2023-04-06 14:46:15.814000', '1', '1', 'EF6C732A804025FB1D2E8973632C452E', 'DE561C05F700ED925CE320ABFA03E5F2');

-- ----------------------------
-- Table structure for warehousing_record_form
-- ----------------------------
DROP TABLE IF EXISTS `warehousing_record_form`;
CREATE TABLE `warehousing_record_form`  (
  `purchase_list_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购清单ID',
  `status` int(6) NULL DEFAULT NULL COMMENT '状态',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `warehousing_record_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `purchase_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购编号',
  PRIMARY KEY (`warehousing_record_form_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '签收记录表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of warehousing_record_form
-- ----------------------------
INSERT INTO `warehousing_record_form` VALUES ('6137CEA303DD6CEA255D7438E12FC600', 2, '2023-04-04 16:34:32.802000', '2023-04-06 14:46:15.816000', '1', '1', 'EF6C732A804025FB1D2E8973632C452E', '2023-04-04入库任务');

-- ----------------------------
-- Procedure structure for pro_code_generator
-- ----------------------------
DROP PROCEDURE IF EXISTS `pro_code_generator`;
delimiter ;;
CREATE PROCEDURE `pro_code_generator`()
begin
	SELECT COUNT(*) INTO @menucount FROM sys_menu WHERE menu="reagent";
	-- SELECT @menucount;
	set @parentId = replace(UUID(),"-","");
	SELECT MAX(sort) into @maxsort FROM sys_menu WHERE parent_id = "root";
	if ((SELECT @menucount)>0) then
		SELECT menu_id INTO @parentId FROM sys_menu WHERE menu="reagent";
	else
		INSERT into `sys_menu` ( `parent_id`, menu_id, `path`, menu,  `permission_id`, `type`, `icon`, `sort`, `name`)
    		values ( 'root', @parentId, '/reagent', 'reagent', '', '0', 'icon-bangzhushouji', @maxsort+10,'reagent管理');
	end if;
end
;;
delimiter ;

SET FOREIGN_KEY_CHECKS = 1;
